------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2012, Vadim Godunko <vgodunko@gmail.com>                     --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2859 $ $Date: 2012-04-13 00:05:56 +0400 (Fri, 13 Apr 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with AMF.Standard_Profile_L3.Build_Components;
with AMF.Standard_Profile_L3.Metamodels;
with AMF.Standard_Profile_L3.System_Models;

package AMF.Factories.Standard_Profile_L3_Factories is

   pragma Preelaborate;

   type Standard_Profile_L3_Factory is limited interface
     and AMF.Factories.Factory;

   type Standard_Profile_L3_Factory_Access is access all Standard_Profile_L3_Factory'Class;
   for Standard_Profile_L3_Factory_Access'Storage_Size use 0;

   not overriding function Create_Build_Component
    (Self : not null access Standard_Profile_L3_Factory)
       return AMF.Standard_Profile_L3.Build_Components.Standard_Profile_L3_Build_Component_Access is abstract;

   not overriding function Create_Metamodel
    (Self : not null access Standard_Profile_L3_Factory)
       return AMF.Standard_Profile_L3.Metamodels.Standard_Profile_L3_Metamodel_Access is abstract;

   not overriding function Create_System_Model
    (Self : not null access Standard_Profile_L3_Factory)
       return AMF.Standard_Profile_L3.System_Models.Standard_Profile_L3_System_Model_Access is abstract;

end AMF.Factories.Standard_Profile_L3_Factories;
