------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3397 $ $Date: 2012-11-13 07:02:02 +0400 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package AMF.Internals.Tables.UML_Constructors is

   function Create_Standard_Profile_L2_Auxiliary return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Call return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Create return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Derive return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Destroy return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Document return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Entity return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Executable return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Focus return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Framework return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Implement return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Implementation_Class return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Instantiate return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Library return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Metaclass return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Model_Library return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Process return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Realization return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Refine return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Responsibility return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Script return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Send return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Service return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Source return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Specification return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Subsystem return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Trace return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Type return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L2_Utility return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L3_Build_Component return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L3_Metamodel return AMF.Internals.AMF_Element;

   function Create_Standard_Profile_L3_System_Model return AMF.Internals.AMF_Element;

   function Create_UML_Abstraction return AMF.Internals.AMF_Element;

   function Create_UML_Accept_Call_Action return AMF.Internals.AMF_Element;

   function Create_UML_Accept_Event_Action return AMF.Internals.AMF_Element;

   function Create_UML_Action_Execution_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Action_Input_Pin return AMF.Internals.AMF_Element;

   function Create_UML_Activity return AMF.Internals.AMF_Element;

   function Create_UML_Activity_Final_Node return AMF.Internals.AMF_Element;

   function Create_UML_Activity_Parameter_Node return AMF.Internals.AMF_Element;

   function Create_UML_Activity_Partition return AMF.Internals.AMF_Element;

   function Create_UML_Actor return AMF.Internals.AMF_Element;

   function Create_UML_Add_Structural_Feature_Value_Action return AMF.Internals.AMF_Element;

   function Create_UML_Add_Variable_Value_Action return AMF.Internals.AMF_Element;

   function Create_UML_Any_Receive_Event return AMF.Internals.AMF_Element;

   function Create_UML_Artifact return AMF.Internals.AMF_Element;

   function Create_UML_Association return AMF.Internals.AMF_Element;

   function Create_UML_Association_Class return AMF.Internals.AMF_Element;

   function Create_UML_Behavior_Execution_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Broadcast_Signal_Action return AMF.Internals.AMF_Element;

   function Create_UML_Call_Behavior_Action return AMF.Internals.AMF_Element;

   function Create_UML_Call_Event return AMF.Internals.AMF_Element;

   function Create_UML_Call_Operation_Action return AMF.Internals.AMF_Element;

   function Create_UML_Central_Buffer_Node return AMF.Internals.AMF_Element;

   function Create_UML_Change_Event return AMF.Internals.AMF_Element;

   function Create_UML_Class return AMF.Internals.AMF_Element;

   function Create_UML_Classifier_Template_Parameter return AMF.Internals.AMF_Element;

   function Create_UML_Clause return AMF.Internals.AMF_Element;

   function Create_UML_Clear_Association_Action return AMF.Internals.AMF_Element;

   function Create_UML_Clear_Structural_Feature_Action return AMF.Internals.AMF_Element;

   function Create_UML_Clear_Variable_Action return AMF.Internals.AMF_Element;

   function Create_UML_Collaboration return AMF.Internals.AMF_Element;

   function Create_UML_Collaboration_Use return AMF.Internals.AMF_Element;

   function Create_UML_Combined_Fragment return AMF.Internals.AMF_Element;

   function Create_UML_Comment return AMF.Internals.AMF_Element;

   function Create_UML_Communication_Path return AMF.Internals.AMF_Element;

   function Create_UML_Component return AMF.Internals.AMF_Element;

   function Create_UML_Component_Realization return AMF.Internals.AMF_Element;

   function Create_UML_Conditional_Node return AMF.Internals.AMF_Element;

   function Create_UML_Connectable_Element_Template_Parameter return AMF.Internals.AMF_Element;

   function Create_UML_Connection_Point_Reference return AMF.Internals.AMF_Element;

   function Create_UML_Connector return AMF.Internals.AMF_Element;

   function Create_UML_Connector_End return AMF.Internals.AMF_Element;

   function Create_UML_Consider_Ignore_Fragment return AMF.Internals.AMF_Element;

   function Create_UML_Constraint return AMF.Internals.AMF_Element;

   function Create_UML_Continuation return AMF.Internals.AMF_Element;

   function Create_UML_Control_Flow return AMF.Internals.AMF_Element;

   function Create_UML_Create_Link_Action return AMF.Internals.AMF_Element;

   function Create_UML_Create_Link_Object_Action return AMF.Internals.AMF_Element;

   function Create_UML_Create_Object_Action return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Activity_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Association_End_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Association_Or_Connector_Or_Link_Shape return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Class_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Classifier_Shape return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Compartment return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Compartmentable_Shape return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Component_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Composite_Structure_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Deployment_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Edge return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Interaction_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Interaction_Table_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Keyword_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Multiplicity_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Name_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Object_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Package_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Profile_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Redefines_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Shape return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_State_Machine_Diagram return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_State_Shape return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Stereotype_Property_Value_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Style return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Typed_Element_Label return AMF.Internals.AMF_Element;

   function Create_UMLDI_UML_Use_Case_Diagram return AMF.Internals.AMF_Element;

   function Create_UML_Data_Store_Node return AMF.Internals.AMF_Element;

   function Create_UML_Data_Type return AMF.Internals.AMF_Element;

   function Create_UML_Decision_Node return AMF.Internals.AMF_Element;

   function Create_UML_Dependency return AMF.Internals.AMF_Element;

   function Create_UML_Deployment return AMF.Internals.AMF_Element;

   function Create_UML_Deployment_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Destroy_Link_Action return AMF.Internals.AMF_Element;

   function Create_UML_Destroy_Object_Action return AMF.Internals.AMF_Element;

   function Create_UML_Destruction_Occurrence_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Device return AMF.Internals.AMF_Element;

   function Create_UML_Duration return AMF.Internals.AMF_Element;

   function Create_UML_Duration_Constraint return AMF.Internals.AMF_Element;

   function Create_UML_Duration_Interval return AMF.Internals.AMF_Element;

   function Create_UML_Duration_Observation return AMF.Internals.AMF_Element;

   function Create_UML_Element_Import return AMF.Internals.AMF_Element;

   function Create_UML_Enumeration return AMF.Internals.AMF_Element;

   function Create_UML_Enumeration_Literal return AMF.Internals.AMF_Element;

   function Create_UML_Exception_Handler return AMF.Internals.AMF_Element;

   function Create_UML_Execution_Environment return AMF.Internals.AMF_Element;

   function Create_UML_Execution_Occurrence_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Expansion_Node return AMF.Internals.AMF_Element;

   function Create_UML_Expansion_Region return AMF.Internals.AMF_Element;

   function Create_UML_Expression return AMF.Internals.AMF_Element;

   function Create_UML_Extend return AMF.Internals.AMF_Element;

   function Create_UML_Extension return AMF.Internals.AMF_Element;

   function Create_UML_Extension_End return AMF.Internals.AMF_Element;

   function Create_UML_Extension_Point return AMF.Internals.AMF_Element;

   function Create_UML_Final_State return AMF.Internals.AMF_Element;

   function Create_UML_Flow_Final_Node return AMF.Internals.AMF_Element;

   function Create_UML_Fork_Node return AMF.Internals.AMF_Element;

   function Create_UML_Function_Behavior return AMF.Internals.AMF_Element;

   function Create_UML_Gate return AMF.Internals.AMF_Element;

   function Create_UML_General_Ordering return AMF.Internals.AMF_Element;

   function Create_UML_Generalization return AMF.Internals.AMF_Element;

   function Create_UML_Generalization_Set return AMF.Internals.AMF_Element;

   function Create_UML_Image return AMF.Internals.AMF_Element;

   function Create_UML_Include return AMF.Internals.AMF_Element;

   function Create_UML_Information_Flow return AMF.Internals.AMF_Element;

   function Create_UML_Information_Item return AMF.Internals.AMF_Element;

   function Create_UML_Initial_Node return AMF.Internals.AMF_Element;

   function Create_UML_Input_Pin return AMF.Internals.AMF_Element;

   function Create_UML_Instance_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Instance_Value return AMF.Internals.AMF_Element;

   function Create_UML_Interaction return AMF.Internals.AMF_Element;

   function Create_UML_Interaction_Constraint return AMF.Internals.AMF_Element;

   function Create_UML_Interaction_Operand return AMF.Internals.AMF_Element;

   function Create_UML_Interaction_Use return AMF.Internals.AMF_Element;

   function Create_UML_Interface return AMF.Internals.AMF_Element;

   function Create_UML_Interface_Realization return AMF.Internals.AMF_Element;

   function Create_UML_Interruptible_Activity_Region return AMF.Internals.AMF_Element;

   function Create_UML_Interval return AMF.Internals.AMF_Element;

   function Create_UML_Interval_Constraint return AMF.Internals.AMF_Element;

   function Create_UML_Join_Node return AMF.Internals.AMF_Element;

   function Create_UML_Lifeline return AMF.Internals.AMF_Element;

   function Create_UML_Link_End_Creation_Data return AMF.Internals.AMF_Element;

   function Create_UML_Link_End_Data return AMF.Internals.AMF_Element;

   function Create_UML_Link_End_Destruction_Data return AMF.Internals.AMF_Element;

   function Create_UML_Literal_Boolean return AMF.Internals.AMF_Element;

   function Create_UML_Literal_Integer return AMF.Internals.AMF_Element;

   function Create_UML_Literal_Null return AMF.Internals.AMF_Element;

   function Create_UML_Literal_Real return AMF.Internals.AMF_Element;

   function Create_UML_Literal_String return AMF.Internals.AMF_Element;

   function Create_UML_Literal_Unlimited_Natural return AMF.Internals.AMF_Element;

   function Create_UML_Loop_Node return AMF.Internals.AMF_Element;

   function Create_UML_Manifestation return AMF.Internals.AMF_Element;

   function Create_UML_Merge_Node return AMF.Internals.AMF_Element;

   function Create_UML_Message return AMF.Internals.AMF_Element;

   function Create_UML_Message_Occurrence_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Model return AMF.Internals.AMF_Element;

   function Create_UML_Node return AMF.Internals.AMF_Element;

   function Create_UML_Object_Flow return AMF.Internals.AMF_Element;

   function Create_UML_Occurrence_Specification return AMF.Internals.AMF_Element;

   function Create_UML_Opaque_Action return AMF.Internals.AMF_Element;

   function Create_UML_Opaque_Behavior return AMF.Internals.AMF_Element;

   function Create_UML_Opaque_Expression return AMF.Internals.AMF_Element;

   function Create_UML_Operation return AMF.Internals.AMF_Element;

   function Create_UML_Operation_Template_Parameter return AMF.Internals.AMF_Element;

   function Create_UML_Output_Pin return AMF.Internals.AMF_Element;

   function Create_UML_Package return AMF.Internals.AMF_Element;

   function Create_UML_Package_Import return AMF.Internals.AMF_Element;

   function Create_UML_Package_Merge return AMF.Internals.AMF_Element;

   function Create_UML_Parameter return AMF.Internals.AMF_Element;

   function Create_UML_Parameter_Set return AMF.Internals.AMF_Element;

   function Create_UML_Part_Decomposition return AMF.Internals.AMF_Element;

   function Create_UML_Port return AMF.Internals.AMF_Element;

   function Create_UML_Primitive_Type return AMF.Internals.AMF_Element;

   function Create_UML_Profile return AMF.Internals.AMF_Element;

   function Create_UML_Profile_Application return AMF.Internals.AMF_Element;

   function Create_UML_Property return AMF.Internals.AMF_Element;

   function Create_UML_Protocol_Conformance return AMF.Internals.AMF_Element;

   function Create_UML_Protocol_State_Machine return AMF.Internals.AMF_Element;

   function Create_UML_Protocol_Transition return AMF.Internals.AMF_Element;

   function Create_UML_Pseudostate return AMF.Internals.AMF_Element;

   function Create_UML_Qualifier_Value return AMF.Internals.AMF_Element;

   function Create_UML_Raise_Exception_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Extent_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Is_Classified_Object_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Link_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Link_Object_End_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Link_Object_End_Qualifier_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Self_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Structural_Feature_Action return AMF.Internals.AMF_Element;

   function Create_UML_Read_Variable_Action return AMF.Internals.AMF_Element;

   function Create_UML_Realization return AMF.Internals.AMF_Element;

   function Create_UML_Reception return AMF.Internals.AMF_Element;

   function Create_UML_Reclassify_Object_Action return AMF.Internals.AMF_Element;

   function Create_UML_Redefinable_Template_Signature return AMF.Internals.AMF_Element;

   function Create_UML_Reduce_Action return AMF.Internals.AMF_Element;

   function Create_UML_Region return AMF.Internals.AMF_Element;

   function Create_UML_Remove_Structural_Feature_Value_Action return AMF.Internals.AMF_Element;

   function Create_UML_Remove_Variable_Value_Action return AMF.Internals.AMF_Element;

   function Create_UML_Reply_Action return AMF.Internals.AMF_Element;

   function Create_UML_Send_Object_Action return AMF.Internals.AMF_Element;

   function Create_UML_Send_Signal_Action return AMF.Internals.AMF_Element;

   function Create_UML_Sequence_Node return AMF.Internals.AMF_Element;

   function Create_UML_Signal return AMF.Internals.AMF_Element;

   function Create_UML_Signal_Event return AMF.Internals.AMF_Element;

   function Create_UML_Slot return AMF.Internals.AMF_Element;

   function Create_UML_Start_Classifier_Behavior_Action return AMF.Internals.AMF_Element;

   function Create_UML_Start_Object_Behavior_Action return AMF.Internals.AMF_Element;

   function Create_UML_State return AMF.Internals.AMF_Element;

   function Create_UML_State_Invariant return AMF.Internals.AMF_Element;

   function Create_UML_State_Machine return AMF.Internals.AMF_Element;

   function Create_UML_Stereotype return AMF.Internals.AMF_Element;

   function Create_UML_String_Expression return AMF.Internals.AMF_Element;

   function Create_UML_Structured_Activity_Node return AMF.Internals.AMF_Element;

   function Create_UML_Substitution return AMF.Internals.AMF_Element;

   function Create_UML_Template_Binding return AMF.Internals.AMF_Element;

   function Create_UML_Template_Parameter return AMF.Internals.AMF_Element;

   function Create_UML_Template_Parameter_Substitution return AMF.Internals.AMF_Element;

   function Create_UML_Template_Signature return AMF.Internals.AMF_Element;

   function Create_UML_Test_Identity_Action return AMF.Internals.AMF_Element;

   function Create_UML_Time_Constraint return AMF.Internals.AMF_Element;

   function Create_UML_Time_Event return AMF.Internals.AMF_Element;

   function Create_UML_Time_Expression return AMF.Internals.AMF_Element;

   function Create_UML_Time_Interval return AMF.Internals.AMF_Element;

   function Create_UML_Time_Observation return AMF.Internals.AMF_Element;

   function Create_UML_Transition return AMF.Internals.AMF_Element;

   function Create_UML_Trigger return AMF.Internals.AMF_Element;

   function Create_UML_Unmarshall_Action return AMF.Internals.AMF_Element;

   function Create_UML_Usage return AMF.Internals.AMF_Element;

   function Create_UML_Use_Case return AMF.Internals.AMF_Element;

   function Create_UML_Value_Pin return AMF.Internals.AMF_Element;

   function Create_UML_Value_Specification_Action return AMF.Internals.AMF_Element;

   function Create_UML_Variable return AMF.Internals.AMF_Element;

end AMF.Internals.Tables.UML_Constructors;
