------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3412 $ $Date: 2012-11-13 15:06:06 +0400 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package AMF.Internals.Tables.UML_Metamodel is

   pragma Preelaborate;

   function MM_UML_UML return AMF.Internals.CMOF_Element;

   function MC_UML_Aggregation_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Concurrency_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Connector_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Expansion_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Operator_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Sort return AMF.Internals.CMOF_Element;
   function MC_UML_Object_Node_Ordering_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter_Direction_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter_Effect_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Pseudostate_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Transition_Kind return AMF.Internals.CMOF_Element;
   function MC_UML_Visibility_Kind return AMF.Internals.CMOF_Element;


   function MC_UML_Abstraction return AMF.Internals.CMOF_Element;
   function MC_UML_Accept_Call_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Action_Execution_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Action_Input_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Activity return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Edge return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Final_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Group return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Parameter_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Activity_Partition return AMF.Internals.CMOF_Element;
   function MC_UML_Actor return AMF.Internals.CMOF_Element;
   function MC_UML_Add_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Add_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Any_Receive_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Artifact return AMF.Internals.CMOF_Element;
   function MC_UML_Association return AMF.Internals.CMOF_Element;
   function MC_UML_Association_Class return AMF.Internals.CMOF_Element;
   function MC_UML_Behavior return AMF.Internals.CMOF_Element;
   function MC_UML_Behavior_Execution_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MC_UML_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Broadcast_Signal_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Behavior_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Central_Buffer_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Change_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Class return AMF.Internals.CMOF_Element;
   function MC_UML_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Clause return AMF.Internals.CMOF_Element;
   function MC_UML_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Clear_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Clear_Variable_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Collaboration return AMF.Internals.CMOF_Element;
   function MC_UML_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MC_UML_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MC_UML_Comment return AMF.Internals.CMOF_Element;
   function MC_UML_Communication_Path return AMF.Internals.CMOF_Element;
   function MC_UML_Component return AMF.Internals.CMOF_Element;
   function MC_UML_Component_Realization return AMF.Internals.CMOF_Element;
   function MC_UML_Conditional_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Connectable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Connectable_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MC_UML_Connector return AMF.Internals.CMOF_Element;
   function MC_UML_Connector_End return AMF.Internals.CMOF_Element;
   function MC_UML_Consider_Ignore_Fragment return AMF.Internals.CMOF_Element;
   function MC_UML_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Continuation return AMF.Internals.CMOF_Element;
   function MC_UML_Control_Flow return AMF.Internals.CMOF_Element;
   function MC_UML_Control_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Create_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Create_Link_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Data_Store_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Data_Type return AMF.Internals.CMOF_Element;
   function MC_UML_Decision_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Dependency return AMF.Internals.CMOF_Element;
   function MC_UML_Deployed_Artifact return AMF.Internals.CMOF_Element;
   function MC_UML_Deployment return AMF.Internals.CMOF_Element;
   function MC_UML_Deployment_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Deployment_Target return AMF.Internals.CMOF_Element;
   function MC_UML_Destroy_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Destroy_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Destruction_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Device return AMF.Internals.CMOF_Element;
   function MC_UML_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MC_UML_Duration return AMF.Internals.CMOF_Element;
   function MC_UML_Duration_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Duration_Interval return AMF.Internals.CMOF_Element;
   function MC_UML_Duration_Observation return AMF.Internals.CMOF_Element;
   function MC_UML_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Element_Import return AMF.Internals.CMOF_Element;
   function MC_UML_Encapsulated_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Enumeration return AMF.Internals.CMOF_Element;
   function MC_UML_Enumeration_Literal return AMF.Internals.CMOF_Element;
   function MC_UML_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Exception_Handler return AMF.Internals.CMOF_Element;
   function MC_UML_Executable_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Execution_Environment return AMF.Internals.CMOF_Element;
   function MC_UML_Execution_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Execution_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Expansion_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Expansion_Region return AMF.Internals.CMOF_Element;
   function MC_UML_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Extend return AMF.Internals.CMOF_Element;
   function MC_UML_Extension return AMF.Internals.CMOF_Element;
   function MC_UML_Extension_End return AMF.Internals.CMOF_Element;
   function MC_UML_Extension_Point return AMF.Internals.CMOF_Element;
   function MC_UML_Feature return AMF.Internals.CMOF_Element;
   function MC_UML_Final_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Final_State return AMF.Internals.CMOF_Element;
   function MC_UML_Flow_Final_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Fork_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Function_Behavior return AMF.Internals.CMOF_Element;
   function MC_UML_Gate return AMF.Internals.CMOF_Element;
   function MC_UML_General_Ordering return AMF.Internals.CMOF_Element;
   function MC_UML_Generalization return AMF.Internals.CMOF_Element;
   function MC_UML_Generalization_Set return AMF.Internals.CMOF_Element;
   function MC_UML_Image return AMF.Internals.CMOF_Element;
   function MC_UML_Include return AMF.Internals.CMOF_Element;
   function MC_UML_Information_Flow return AMF.Internals.CMOF_Element;
   function MC_UML_Information_Item return AMF.Internals.CMOF_Element;
   function MC_UML_Initial_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Input_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Instance_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Instance_Value return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Operand return AMF.Internals.CMOF_Element;
   function MC_UML_Interaction_Use return AMF.Internals.CMOF_Element;
   function MC_UML_Interface return AMF.Internals.CMOF_Element;
   function MC_UML_Interface_Realization return AMF.Internals.CMOF_Element;
   function MC_UML_Interruptible_Activity_Region return AMF.Internals.CMOF_Element;
   function MC_UML_Interval return AMF.Internals.CMOF_Element;
   function MC_UML_Interval_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Invocation_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Join_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Lifeline return AMF.Internals.CMOF_Element;
   function MC_UML_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Link_End_Creation_Data return AMF.Internals.CMOF_Element;
   function MC_UML_Link_End_Data return AMF.Internals.CMOF_Element;
   function MC_UML_Link_End_Destruction_Data return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Boolean return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Integer return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Null return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Real return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_String return AMF.Internals.CMOF_Element;
   function MC_UML_Literal_Unlimited_Natural return AMF.Internals.CMOF_Element;
   function MC_UML_Loop_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Manifestation return AMF.Internals.CMOF_Element;
   function MC_UML_Merge_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Message return AMF.Internals.CMOF_Element;
   function MC_UML_Message_End return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Message_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Model return AMF.Internals.CMOF_Element;
   function MC_UML_Multiplicity_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Named_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Namespace return AMF.Internals.CMOF_Element;
   function MC_UML_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Object_Flow return AMF.Internals.CMOF_Element;
   function MC_UML_Object_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Observation return AMF.Internals.CMOF_Element;
   function MC_UML_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Opaque_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Opaque_Behavior return AMF.Internals.CMOF_Element;
   function MC_UML_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Operation return AMF.Internals.CMOF_Element;
   function MC_UML_Operation_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Output_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Package return AMF.Internals.CMOF_Element;
   function MC_UML_Package_Import return AMF.Internals.CMOF_Element;
   function MC_UML_Package_Merge return AMF.Internals.CMOF_Element;
   function MC_UML_Packageable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Parameter_Set return AMF.Internals.CMOF_Element;
   function MC_UML_Parameterable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Part_Decomposition return AMF.Internals.CMOF_Element;
   function MC_UML_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Port return AMF.Internals.CMOF_Element;
   function MC_UML_Primitive_Type return AMF.Internals.CMOF_Element;
   function MC_UML_Profile return AMF.Internals.CMOF_Element;
   function MC_UML_Profile_Application return AMF.Internals.CMOF_Element;
   function MC_UML_Property return AMF.Internals.CMOF_Element;
   function MC_UML_Protocol_Conformance return AMF.Internals.CMOF_Element;
   function MC_UML_Protocol_State_Machine return AMF.Internals.CMOF_Element;
   function MC_UML_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MC_UML_Pseudostate return AMF.Internals.CMOF_Element;
   function MC_UML_Qualifier_Value return AMF.Internals.CMOF_Element;
   function MC_UML_Raise_Exception_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Self_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Read_Variable_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Realization return AMF.Internals.CMOF_Element;
   function MC_UML_Reception return AMF.Internals.CMOF_Element;
   function MC_UML_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MC_UML_Reduce_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Region return AMF.Internals.CMOF_Element;
   function MC_UML_Relationship return AMF.Internals.CMOF_Element;
   function MC_UML_Remove_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Remove_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Reply_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Sequence_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Signal return AMF.Internals.CMOF_Element;
   function MC_UML_Signal_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Slot return AMF.Internals.CMOF_Element;
   function MC_UML_Start_Classifier_Behavior_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Start_Object_Behavior_Action return AMF.Internals.CMOF_Element;
   function MC_UML_State return AMF.Internals.CMOF_Element;
   function MC_UML_State_Invariant return AMF.Internals.CMOF_Element;
   function MC_UML_State_Machine return AMF.Internals.CMOF_Element;
   function MC_UML_Stereotype return AMF.Internals.CMOF_Element;
   function MC_UML_String_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Structural_Feature return AMF.Internals.CMOF_Element;
   function MC_UML_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MC_UML_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MC_UML_Substitution return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Binding return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Parameter return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MC_UML_Template_Signature return AMF.Internals.CMOF_Element;
   function MC_UML_Templateable_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Constraint return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Event return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Expression return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Interval return AMF.Internals.CMOF_Element;
   function MC_UML_Time_Observation return AMF.Internals.CMOF_Element;
   function MC_UML_Transition return AMF.Internals.CMOF_Element;
   function MC_UML_Trigger return AMF.Internals.CMOF_Element;
   function MC_UML_Type return AMF.Internals.CMOF_Element;
   function MC_UML_Typed_Element return AMF.Internals.CMOF_Element;
   function MC_UML_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Usage return AMF.Internals.CMOF_Element;
   function MC_UML_Use_Case return AMF.Internals.CMOF_Element;
   function MC_UML_Value_Pin return AMF.Internals.CMOF_Element;
   function MC_UML_Value_Specification return AMF.Internals.CMOF_Element;
   function MC_UML_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Variable return AMF.Internals.CMOF_Element;
   function MC_UML_Variable_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Vertex return AMF.Internals.CMOF_Element;
   function MC_UML_Write_Link_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MC_UML_Write_Variable_Action return AMF.Internals.CMOF_Element;

   function MP_UML_Abstraction_Mapping_A_Abstraction return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Call_Action_Return_Information_A_Accept_Call_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Event_Action_Is_Unmarshall return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Event_Action_Result_A_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Accept_Event_Action_Trigger_A_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Context_A_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Input_A_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Is_Locally_Reentrant return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Local_Postcondition_A_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Local_Precondition_A_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Output_A_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Execution_Specification_Action_A_Action_Execution_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Action_Input_Pin_From_Action_A_Action_Input_Pin return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Activity_Edge_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Activity_Group_In_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Is_Read_Only return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Is_Single_Execution return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Activity_Node_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_A_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Structured_Node_Structured_Activity_Node_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Variable_Variable_Activity_Scope return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Activity_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Guard_A_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_In_Group_Activity_Group_Contained_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_In_Partition_Activity_Partition_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_In_Structured_Node_Structured_Activity_Node_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Interrupts_Interruptible_Activity_Region_Interrupting_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Redefined_Edge_A_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Source_Activity_Node_Outgoing return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Target_Activity_Node_Incoming return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Edge_Weight_A_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Contained_Edge_Activity_Edge_In_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Contained_Node_Activity_Node_In_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_In_Activity_Activity_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Subgroup_Activity_Group_Super_Group return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Group_Super_Group_Activity_Group_Subgroup return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Activity_Activity_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Group_Activity_Group_Contained_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Interruptible_Region_Interruptible_Activity_Region_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Partition_Activity_Partition_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_In_Structured_Node_Structured_Activity_Node_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Incoming_Activity_Edge_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Outgoing_Activity_Edge_Source return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Node_Redefined_Node_A_Activity_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Parameter_Node_Parameter_A_Activity_Parameter_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Edge_Activity_Edge_In_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Is_Dimension return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Is_External return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Node_Activity_Node_In_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Represents_A_Activity_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Subpartition_Activity_Partition_Super_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_Activity_Partition_Super_Partition_Activity_Partition_Subpartition return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Structural_Feature_Value_Action_Insert_At_A_Add_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Structural_Feature_Value_Action_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Variable_Value_Action_Insert_At_A_Add_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Add_Variable_Value_Action_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_File_Name return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Manifestation_A_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Nested_Artifact_A_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Owned_Attribute_A_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_Artifact_Owned_Operation_A_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_Association_End_Type_A_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Is_Derived return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Member_End_Property_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Navigable_Owned_End_A_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Association_Owned_End_Property_Owning_Association return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Context_A_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Is_Reentrant return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Owned_Parameter_A_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Owned_Parameter_Set_A_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Postcondition_A_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Precondition_A_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Redefined_Behavior_A_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Specification_Behavioral_Feature_Method return AMF.Internals.CMOF_Element;
   function MP_UML_Behavior_Execution_Specification_Behavior_A_Behavior_Execution_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Concurrency return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Is_Abstract return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Method_Behavior_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Owned_Parameter_A_Owner_Formal_Param return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Owned_Parameter_Set_A_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_Behavioral_Feature_Raised_Exception_A_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_Behaviored_Classifier_Classifier_Behavior_A_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Behaviored_Classifier_Interface_Realization_Interface_Realization_Implementing_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Behaviored_Classifier_Owned_Behavior_A_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Broadcast_Signal_Action_Signal_A_Broadcast_Signal_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Action_Is_Synchronous return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Action_Result_A_Call_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Behavior_Action_Behavior_A_Call_Behavior_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Event_Operation_A_Call_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Operation_Action_Operation_A_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Call_Operation_Action_Target_A_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Change_Event_Change_Expression_A_Change_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Extension_Extension_Metaclass return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Is_Abstract return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Is_Active return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Nested_Classifier_A_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Owned_Attribute_Property_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Owned_Operation_Operation_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Owned_Reception_A_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Class_Super_Class_A_Class return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Attribute_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Collaboration_Use_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Feature_Feature_Featuring_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_General_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Generalization_Generalization_Specific return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Inherited_Member_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Is_Abstract return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Is_Final_Specialization return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Owned_Template_Signature_Redefinable_Template_Signature_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Owned_Use_Case_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Powertype_Extent_Generalization_Set_Powertype return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Redefined_Classifier_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Representation_A_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Substitution_Substitution_Substituting_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Classifier_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Use_Case_Use_Case_Subject return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Allow_Substitutable return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Constraining_Classifier_A_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Classifier_Template_Parameter_Parametered_Element_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Body_A_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Body_Output_A_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Decider_A_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Predecessor_Clause_Clause_Successor_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Successor_Clause_Clause_Predecessor_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clause_Test_A_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_Clear_Association_Action_Association_A_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Clear_Association_Action_Object_A_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Clear_Structural_Feature_Action_Result_A_Clear_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Collaboration_Collaboration_Role_A_Collaboration return AMF.Internals.CMOF_Element;
   function MP_UML_Collaboration_Use_Role_Binding_A_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Collaboration_Use_Type_A_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Combined_Fragment_Cfragment_Gate_A_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Combined_Fragment_Interaction_Operator return AMF.Internals.CMOF_Element;
   function MP_UML_Combined_Fragment_Operand_A_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Comment_Annotated_Element_A_Comment return AMF.Internals.CMOF_Element;
   function MP_UML_Comment_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Is_Indirectly_Instantiated return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Packaged_Element_A_Component return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Provided_A_Component return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Realization_Component_Realization_Abstraction return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Required_A_Component return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Realization_Abstraction_Component_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Component_Realization_Realizing_Classifier_A_Component_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Clause_A_Conditional_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Is_Assured return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Is_Determinate return AMF.Internals.CMOF_Element;
   function MP_UML_Conditional_Node_Result_A_Conditional_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Connectable_Element_End_Connector_End_Role return AMF.Internals.CMOF_Element;
   function MP_UML_Connectable_Element_Template_Parameter_Connectable_Element_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Connectable_Element_Template_Parameter_Parametered_Element_Connectable_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Connection_Point_Reference_Entry_A_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MP_UML_Connection_Point_Reference_Exit_A_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MP_UML_Connection_Point_Reference_State_State_Connection return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Contract_A_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_A_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Redefined_Connector_A_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_Type_A_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_Defining_End_A_Connector_End return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_Part_With_Port_A_Connector_End return AMF.Internals.CMOF_Element;
   function MP_UML_Connector_End_Role_Connectable_Element_End return AMF.Internals.CMOF_Element;
   function MP_UML_Consider_Ignore_Fragment_Message_A_Consider_Ignore_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Constraint_Constrained_Element_A_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Constraint_Context_Namespace_Owned_Rule return AMF.Internals.CMOF_Element;
   function MP_UML_Constraint_Specification_A_Owning_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Continuation_Setting return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Link_Action_End_Data_A_Create_Link_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Link_Object_Action_Result_A_Create_Link_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Object_Action_Classifier_A_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Create_Object_Action_Result_A_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Data_Type_Owned_Attribute_Property_Datatype return AMF.Internals.CMOF_Element;
   function MP_UML_Data_Type_Owned_Operation_Operation_Datatype return AMF.Internals.CMOF_Element;
   function MP_UML_Decision_Node_Decision_Input_A_Decision_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Decision_Node_Decision_Input_Flow_A_Decision_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Dependency_Client_Named_Element_Client_Dependency return AMF.Internals.CMOF_Element;
   function MP_UML_Dependency_Supplier_A_Supplier_Dependency return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Configuration_Deployment_Specification_Deployment return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Deployed_Artifact_A_Deployment return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Location_Deployment_Target_Deployment return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Specification_Deployment_Deployment_Configuration return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Specification_Deployment_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Specification_Execution_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Target_Deployed_Element_A_Deployment_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Deployment_Target_Deployment_Deployment_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Link_Action_End_Data_A_Destroy_Link_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Object_Action_Is_Destroy_Links return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Object_Action_Is_Destroy_Owned_Objects return AMF.Internals.CMOF_Element;
   function MP_UML_Destroy_Object_Action_Target_A_Destroy_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Directed_Relationship_Source_A_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MP_UML_Directed_Relationship_Target_A_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Expr_A_Duration return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Observation_A_Duration return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Constraint_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Constraint_Specification_A_Duration_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Interval_Max_A_Duration_Interval return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Interval_Min_A_Duration_Interval return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Observation_Event_A_Duration_Observation return AMF.Internals.CMOF_Element;
   function MP_UML_Duration_Observation_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Owned_Comment_A_Owning_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Owned_Element_Element_Owner return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Owner_Element_Owned_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Alias return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Imported_Element_A_Element_Import return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Importing_Namespace_Namespace_Element_Import return AMF.Internals.CMOF_Element;
   function MP_UML_Element_Import_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Encapsulated_Classifier_Owned_Port_A_Encapsulated_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Enumeration_Owned_Literal_Enumeration_Literal_Enumeration return AMF.Internals.CMOF_Element;
   function MP_UML_Enumeration_Literal_Classifier_A_Enumeration_Literal return AMF.Internals.CMOF_Element;
   function MP_UML_Enumeration_Literal_Enumeration_Enumeration_Owned_Literal return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Exception_Input_A_Exception_Handler return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Exception_Type_A_Exception_Handler return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Handler_Body_A_Exception_Handler return AMF.Internals.CMOF_Element;
   function MP_UML_Exception_Handler_Protected_Node_Executable_Node_Handler return AMF.Internals.CMOF_Element;
   function MP_UML_Executable_Node_Handler_Exception_Handler_Protected_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Execution_Occurrence_Specification_Execution_A_Execution_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Execution_Specification_Finish_A_Execution_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Execution_Specification_Start_A_Execution_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Node_Region_As_Input_Expansion_Region_Input_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Node_Region_As_Output_Expansion_Region_Output_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Region_Input_Element_Expansion_Node_Region_As_Input return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Region_Mode return AMF.Internals.CMOF_Element;
   function MP_UML_Expansion_Region_Output_Element_Expansion_Node_Region_As_Output return AMF.Internals.CMOF_Element;
   function MP_UML_Expression_Operand_A_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Expression_Symbol return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Condition_A_Extend return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Extended_Case_A_Extend return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Extension_Use_Case_Extend return AMF.Internals.CMOF_Element;
   function MP_UML_Extend_Extension_Location_A_Extension return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Is_Required return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Metaclass_Class_Extension return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Owned_End_A_Extension return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_End_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_End_Type_A_Extension_End return AMF.Internals.CMOF_Element;
   function MP_UML_Extension_Point_Use_Case_Use_Case_Extension_Point return AMF.Internals.CMOF_Element;
   function MP_UML_Feature_Featuring_Classifier_Classifier_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_Feature_Is_Static return AMF.Internals.CMOF_Element;
   function MP_UML_General_Ordering_After_Occurrence_Specification_To_Before return AMF.Internals.CMOF_Element;
   function MP_UML_General_Ordering_Before_Occurrence_Specification_To_After return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_General_A_Generalization return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Generalization_Set_Generalization_Set_Generalization return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Is_Substitutable return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Specific_Classifier_Generalization return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Generalization_Generalization_Generalization_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Is_Covering return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Is_Disjoint return AMF.Internals.CMOF_Element;
   function MP_UML_Generalization_Set_Powertype_Classifier_Powertype_Extent return AMF.Internals.CMOF_Element;
   function MP_UML_Image_Content return AMF.Internals.CMOF_Element;
   function MP_UML_Image_Format return AMF.Internals.CMOF_Element;
   function MP_UML_Image_Location return AMF.Internals.CMOF_Element;
   function MP_UML_Include_Addition_A_Include return AMF.Internals.CMOF_Element;
   function MP_UML_Include_Including_Case_Use_Case_Include return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Conveyed_A_Information_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Information_Source_A_Information_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Information_Target_A_Information_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realization_A_Abstraction return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realizing_Activity_Edge_A_Information_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realizing_Connector_A_Information_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Flow_Realizing_Message_A_Information_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Information_Item_Represented_A_Representation return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Specification_Classifier_A_Instance_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Specification_Slot_Slot_Owning_Instance return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Specification_Specification_A_Owning_Instance_Spec return AMF.Internals.CMOF_Element;
   function MP_UML_Instance_Value_Instance_A_Instance_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Action_A_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Formal_Gate_A_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Interaction_Fragment_Enclosing_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Lifeline_Lifeline_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Message_Message_Interaction return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Constraint_Maxint_A_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Constraint_Minint_A_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Covered_Lifeline_Covered_By return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Enclosing_Interaction_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_Enclosing_Operand_Interaction_Operand_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Fragment_General_Ordering_A_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Operand_Fragment_Interaction_Fragment_Enclosing_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Operand_Guard_A_Interaction_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Actual_Gate_A_Interaction_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Argument_A_Interaction_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Refers_To_A_Interaction_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Return_Value_A_Interaction_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Interaction_Use_Return_Value_Recipient_A_Interaction_Use return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Nested_Classifier_A_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Owned_Attribute_Property_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Owned_Operation_Operation_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Owned_Reception_A_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Protocol_A_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Redefined_Interface_A_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Realization_Contract_A_Interface_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Interface_Realization_Implementing_Classifier_Behaviored_Classifier_Interface_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_Interruptible_Activity_Region_Interrupting_Edge_Activity_Edge_Interrupts return AMF.Internals.CMOF_Element;
   function MP_UML_Interruptible_Activity_Region_Node_Activity_Node_In_Interruptible_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Interval_Max_A_Interval return AMF.Internals.CMOF_Element;
   function MP_UML_Interval_Min_A_Interval return AMF.Internals.CMOF_Element;
   function MP_UML_Interval_Constraint_Specification_A_Interval_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Invocation_Action_Argument_A_Invocation_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Invocation_Action_On_Port_A_Invocation_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Join_Node_Is_Combine_Duplicate return AMF.Internals.CMOF_Element;
   function MP_UML_Join_Node_Join_Spec_A_Join_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Covered_By_Interaction_Fragment_Covered return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Decomposed_As_A_Lifeline return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Interaction_Interaction_Lifeline return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Represents_A_Lifeline return AMF.Internals.CMOF_Element;
   function MP_UML_Lifeline_Selector_A_Lifeline return AMF.Internals.CMOF_Element;
   function MP_UML_Link_Action_End_Data_A_Link_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Link_Action_Input_Value_A_Link_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Creation_Data_Insert_At_A_Link_End_Creation_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Creation_Data_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Data_End_A_Link_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Data_Qualifier_A_Link_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Data_Value_A_Link_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Destruction_Data_Destroy_At_A_Link_End_Destruction_Data return AMF.Internals.CMOF_Element;
   function MP_UML_Link_End_Destruction_Data_Is_Destroy_Duplicates return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Boolean_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Integer_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Real_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_String_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Literal_Unlimited_Natural_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Body_Output_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Body_Part_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Decider_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Is_Tested_First return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Loop_Variable_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Loop_Variable_Input_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Result_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Setup_Part_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Loop_Node_Test_A_Loop_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Manifestation_Utilized_Element_A_Manifestation return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Argument_A_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Connector_A_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Interaction_Interaction_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Message_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Message_Sort return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Receive_Event_A_End_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Send_Event_A_End_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Message_Signature_A_Message return AMF.Internals.CMOF_Element;
   function MP_UML_Message_End_Message_A_Message_End return AMF.Internals.CMOF_Element;
   function MP_UML_Model_Viewpoint return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Is_Ordered return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Is_Unique return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Lower_Value_A_Owning_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Upper return AMF.Internals.CMOF_Element;
   function MP_UML_Multiplicity_Element_Upper_Value_A_Owning_Upper return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Client_Dependency_Dependency_Client return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Name return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Name_Expression_A_Named_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Namespace_Namespace_Owned_Member return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Qualified_Name return AMF.Internals.CMOF_Element;
   function MP_UML_Named_Element_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Element_Import_Element_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Imported_Member_A_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Member_A_Member_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Owned_Member_Named_Element_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Owned_Rule_Constraint_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Namespace_Package_Import_Package_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MP_UML_Node_Nested_Node_A_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Is_Multicast return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Is_Multireceive return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Selection_A_Object_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Flow_Transformation_A_Object_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_In_State_A_Object_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Is_Control_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Ordering return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Selection_A_Object_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Object_Node_Upper_Bound_A_Object_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Occurrence_Specification_Covered_A_Events return AMF.Internals.CMOF_Element;
   function MP_UML_Occurrence_Specification_To_After_General_Ordering_Before return AMF.Internals.CMOF_Element;
   function MP_UML_Occurrence_Specification_To_Before_General_Ordering_After return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Input_Value_A_Opaque_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Language return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Action_Output_Value_A_Opaque_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Behavior_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Behavior_Language return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Behavior_A_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Body return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Language return AMF.Internals.CMOF_Element;
   function MP_UML_Opaque_Expression_Result_A_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Body_Condition_A_Body_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Class_Class_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Datatype_Data_Type_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Interface_Interface_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Is_Ordered return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Is_Query return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Is_Unique return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Lower return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Owned_Parameter_Parameter_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Postcondition_A_Post_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Precondition_A_Pre_Context return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Raised_Exception_A_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Redefined_Operation_A_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Template_Parameter_Operation_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Type_A_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Upper return AMF.Internals.CMOF_Element;
   function MP_UML_Operation_Template_Parameter_Parametered_Element_Operation_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Package_URI return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Nested_Package_Package_Nesting_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Nesting_Package_Package_Nested_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Owned_Stereotype_A_Owning_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Owned_Type_Type_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Package_Merge_Package_Merge_Receiving_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Packaged_Element_A_Owning_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Profile_Application_Profile_Application_Applying_Package return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Import_Imported_Package_A_Package_Import return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Import_Importing_Namespace_Namespace_Package_Import return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Import_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Merge_Merged_Package_A_Package_Merge return AMF.Internals.CMOF_Element;
   function MP_UML_Package_Merge_Receiving_Package_Package_Package_Merge return AMF.Internals.CMOF_Element;
   function MP_UML_Packageable_Element_Visibility return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Default return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Default_Value_A_Owning_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Direction return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Effect return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Is_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Is_Stream return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Operation_Operation_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Parameter_Set_Parameter_Set_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Set_Condition_A_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Parameter_Set_Parameter_Parameter_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_Parameterable_Element_Owning_Template_Parameter_Template_Parameter_Owned_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Parameterable_Element_Template_Parameter_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Pin_Is_Control return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Is_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Is_Conjugated return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Is_Service return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Protocol_A_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Provided_A_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Redefined_Port_A_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Port_Required_A_Port return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Metaclass_Reference_A_Profile return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Metamodel_Reference_A_Profile return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Application_Applied_Profile_A_Profile_Application return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Application_Applying_Package_Package_Profile_Application return AMF.Internals.CMOF_Element;
   function MP_UML_Profile_Application_Is_Strict return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Aggregation return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Association_Association_Member_End return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Association_End_Property_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Class_Class_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Datatype_Data_Type_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Default return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Default_Value_A_Owning_Property return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Interface_Interface_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Composite return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Derived return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Derived_Union return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_ID return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Is_Read_Only return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Opposite_A_Property return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Owning_Association_Association_Owned_End return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Qualifier_Property_Association_End return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Redefined_Property_A_Property return AMF.Internals.CMOF_Element;
   function MP_UML_Property_Subsetted_Property_A_Property return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Conformance_General_Machine_A_Protocol_Conformance return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Conformance_Specific_Machine_Protocol_State_Machine_Conformance return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_State_Machine_Conformance_Protocol_Conformance_Specific_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Transition_Post_Condition_A_Owning_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Transition_Pre_Condition_A_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Protocol_Transition_Referred_A_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Pseudostate_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Pseudostate_State_State_Connection_Point return AMF.Internals.CMOF_Element;
   function MP_UML_Pseudostate_State_Machine_State_Machine_Connection_Point return AMF.Internals.CMOF_Element;
   function MP_UML_Qualifier_Value_Qualifier_A_Qualifier_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Qualifier_Value_Value_A_Qualifier_Value return AMF.Internals.CMOF_Element;
   function MP_UML_Raise_Exception_Action_Exception_A_Raise_Exception_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Extent_Action_Classifier_A_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Extent_Action_Result_A_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Classifier_A_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Is_Direct return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Object_A_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Is_Classified_Object_Action_Result_A_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Action_Result_A_Read_Link_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Action_End_A_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Action_Object_A_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Action_Result_A_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Qualifier_Action_Object_A_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Qualifier_Action_Qualifier_A_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Link_Object_End_Qualifier_Action_Result_A_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Self_Action_Result_A_Read_Self_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Structural_Feature_Action_Result_A_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Read_Variable_Action_Result_A_Read_Variable_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reception_Signal_A_Reception return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_Is_Replace_All return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_New_Classifier_A_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_Object_A_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reclassify_Object_Action_Old_Classifier_A_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Element_Is_Leaf return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Element_Redefined_Element_A_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Element_Redefinition_Context_A_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Template_Signature_Classifier_Classifier_Owned_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Template_Signature_Extended_Signature_A_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Redefinable_Template_Signature_Inherited_Parameter_A_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Collection_A_Reduce_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Is_Ordered return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Reducer_A_Reduce_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reduce_Action_Result_A_Reduce_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Extended_Region_A_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Redefinition_Context_A_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Region_State_State_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Region_State_Machine_State_Machine_Region return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Subvertex_Vertex_Container return AMF.Internals.CMOF_Element;
   function MP_UML_Region_Transition_Transition_Container return AMF.Internals.CMOF_Element;
   function MP_UML_Relationship_Related_Element_A_Relationship return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Structural_Feature_Value_Action_Is_Remove_Duplicates return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Structural_Feature_Value_Action_Remove_At_A_Remove_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Variable_Value_Action_Is_Remove_Duplicates return AMF.Internals.CMOF_Element;
   function MP_UML_Remove_Variable_Value_Action_Remove_At_A_Remove_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reply_Action_Reply_To_Call_A_Reply_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reply_Action_Reply_Value_A_Reply_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Reply_Action_Return_Information_A_Reply_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Object_Action_Request_A_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Object_Action_Target_A_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Signal_Action_Signal_A_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Send_Signal_Action_Target_A_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Sequence_Node_Executable_Node_A_Sequence_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Signal_Owned_Attribute_A_Owning_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_Signal_Event_Signal_A_Signal_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Slot_Defining_Feature_A_Slot return AMF.Internals.CMOF_Element;
   function MP_UML_Slot_Owning_Instance_Instance_Specification_Slot return AMF.Internals.CMOF_Element;
   function MP_UML_Slot_Value_A_Owning_Slot return AMF.Internals.CMOF_Element;
   function MP_UML_Start_Classifier_Behavior_Action_Object_A_Start_Classifier_Behavior_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Start_Object_Behavior_Action_Object_A_Start_Object_Behavior_Action return AMF.Internals.CMOF_Element;
   function MP_UML_State_Connection_Connection_Point_Reference_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Connection_Point_Pseudostate_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Deferrable_Trigger_A_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Do_Activity_A_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Entry_A_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Exit_A_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Composite return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Orthogonal return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Simple return AMF.Internals.CMOF_Element;
   function MP_UML_State_Is_Submachine_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Redefined_State_A_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Redefinition_Context_A_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Region_Region_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_State_Invariant_A_Owning_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Submachine_State_Machine_Submachine_State return AMF.Internals.CMOF_Element;
   function MP_UML_State_Invariant_Covered_A_State_Invariant return AMF.Internals.CMOF_Element;
   function MP_UML_State_Invariant_Invariant_A_State_Invariant return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Connection_Point_Pseudostate_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Extended_State_Machine_A_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Region_Region_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_State_Machine_Submachine_State_State_Submachine return AMF.Internals.CMOF_Element;
   function MP_UML_Stereotype_Icon_A_Stereotype return AMF.Internals.CMOF_Element;
   function MP_UML_Stereotype_Profile_A_Stereotype return AMF.Internals.CMOF_Element;
   function MP_UML_String_Expression_Owning_Expression_String_Expression_Sub_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_String_Expression_Sub_Expression_String_Expression_Owning_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Structural_Feature_Is_Read_Only return AMF.Internals.CMOF_Element;
   function MP_UML_Structural_Feature_Action_Object_A_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Structural_Feature_Action_Structural_Feature_A_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Activity_Activity_Structured_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Edge_Activity_Edge_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Must_Isolate return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Node_Activity_Node_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Structured_Node_Input_A_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Structured_Node_Output_A_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Activity_Node_Variable_Variable_Scope return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Owned_Attribute_A_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Owned_Connector_A_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Part_A_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Structured_Classifier_Role_A_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_Substitution_Contract_A_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Substitution_Substituting_Classifier_Classifier_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Binding_Bound_Element_Templateable_Element_Template_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Binding_Parameter_Substitution_Template_Parameter_Substitution_Template_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Binding_Signature_A_Template_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Default_A_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Owned_Default_A_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Owned_Parametered_Element_Parameterable_Element_Owning_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Parametered_Element_Parameterable_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Signature_Template_Signature_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Actual_A_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Formal_A_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Owned_Actual_A_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Parameter_Substitution_Template_Binding_Template_Binding_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Signature_Owned_Parameter_Template_Parameter_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Signature_Parameter_A_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Template_Signature_Template_Templateable_Element_Owned_Template_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_Templateable_Element_Owned_Template_Signature_Template_Signature_Template return AMF.Internals.CMOF_Element;
   function MP_UML_Templateable_Element_Template_Binding_Template_Binding_Bound_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Test_Identity_Action_First_A_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Test_Identity_Action_Result_A_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Test_Identity_Action_Second_A_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Constraint_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Constraint_Specification_A_Time_Constraint return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Event_Is_Relative return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Event_When_A_Time_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Expression_Expr_A_Time_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Expression_Observation_A_Time_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Interval_Max_A_Time_Interval return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Interval_Min_A_Time_Interval return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Observation_Event_A_Time_Observation return AMF.Internals.CMOF_Element;
   function MP_UML_Time_Observation_First_Event return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Container_Region_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Effect_A_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Guard_A_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Kind return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Redefined_Transition_A_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Redefinition_Context_A_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Source_Vertex_Outgoing return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Target_Vertex_Incoming return AMF.Internals.CMOF_Element;
   function MP_UML_Transition_Trigger_A_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_Trigger_Event_A_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_Trigger_Port_A_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_Type_Package_Package_Owned_Type return AMF.Internals.CMOF_Element;
   function MP_UML_Typed_Element_Type_A_Typed_Element return AMF.Internals.CMOF_Element;
   function MP_UML_Unmarshall_Action_Object_A_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Unmarshall_Action_Result_A_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Unmarshall_Action_Unmarshall_Type_A_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Extend_Extend_Extension return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Extension_Point_Extension_Point_Use_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Include_Include_Including_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Use_Case_Subject_Classifier_Use_Case return AMF.Internals.CMOF_Element;
   function MP_UML_Value_Pin_Value_A_Value_Pin return AMF.Internals.CMOF_Element;
   function MP_UML_Value_Specification_Action_Result_A_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Value_Specification_Action_Value_A_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Variable_Activity_Scope_Activity_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_Variable_Scope_Structured_Activity_Node_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_Variable_Action_Variable_A_Variable_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Vertex_Container_Region_Subvertex return AMF.Internals.CMOF_Element;
   function MP_UML_Vertex_Incoming_Transition_Target return AMF.Internals.CMOF_Element;
   function MP_UML_Vertex_Outgoing_Transition_Source return AMF.Internals.CMOF_Element;
   function MP_UML_Write_Structural_Feature_Action_Result_A_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Write_Structural_Feature_Action_Value_A_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MP_UML_Write_Variable_Action_Value_A_Write_Variable_Action return AMF.Internals.CMOF_Element;
   function MP_UML_A_Value_Pin_Value_Pin_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Value_Specification_Action_Value_Specification_Action_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Write_Structural_Feature_Action_Write_Structural_Feature_Action_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Write_Variable_Action_Write_Variable_Action_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Variable_Action_Variable_Action_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Edge_Activity_Edge_Weight return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Event_Time_Event_When return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Execution_Specification_Action_Execution_Specification_Action return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Interaction_Action return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Use_Interaction_Use_Actual_Gate return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Parameter_Substitution_Template_Parameter_Substitution_Actual return AMF.Internals.CMOF_Element;
   function MP_UML_A_Include_Include_Addition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Comment_Comment_Annotated_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Profile_Application_Profile_Application_Applied_Profile return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Use_Interaction_Use_Argument return AMF.Internals.CMOF_Element;
   function MP_UML_A_Invocation_Action_Invocation_Action_Argument return AMF.Internals.CMOF_Element;
   function MP_UML_A_Message_Message_Argument return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clear_Association_Action_Clear_Association_Action_Association return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Execution_Specification_Behavior_Execution_Specification_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_A_Call_Behavior_Action_Call_Behavior_Action_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_A_Opaque_Expression_Opaque_Expression_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_A_Body_Context_Operation_Body_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clause_Clause_Body_Output return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Body_Output return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Body_Part return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clause_Clause_Body return AMF.Internals.CMOF_Element;
   function MP_UML_A_Combined_Fragment_Combined_Fragment_Cfragment_Gate return AMF.Internals.CMOF_Element;
   function MP_UML_A_Change_Event_Change_Event_Change_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behaviored_Classifier_Behaviored_Classifier_Classifier_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_A_Create_Object_Action_Create_Object_Action_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Enumeration_Literal_Enumeration_Literal_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Instance_Specification_Instance_Specification_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Extent_Action_Read_Extent_Action_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Is_Classified_Object_Action_Read_Is_Classified_Object_Action_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Conditional_Node_Conditional_Node_Clause return AMF.Internals.CMOF_Element;
   function MP_UML_A_Collaboration_Collaboration_Collaboration_Role return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reduce_Action_Reduce_Action_Collection return AMF.Internals.CMOF_Element;
   function MP_UML_A_Extend_Extend_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Parameter_Set_Parameter_Set_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Message_Message_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_A_Constraint_Constraint_Constrained_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Template_Parameter_Classifier_Template_Parameter_Constraining_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Action_Context return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Behavior_Context return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connector_Connector_Contract return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interface_Realization_Interface_Realization_Contract return AMF.Internals.CMOF_Element;
   function MP_UML_A_Substitution_Substitution_Contract return AMF.Internals.CMOF_Element;
   function MP_UML_A_Information_Flow_Information_Flow_Conveyed return AMF.Internals.CMOF_Element;
   function MP_UML_A_Events_Occurrence_Specification_Covered return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_Invariant_State_Invariant_Covered return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clause_Clause_Decider return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Decider return AMF.Internals.CMOF_Element;
   function MP_UML_A_Decision_Node_Decision_Node_Decision_Input_Flow return AMF.Internals.CMOF_Element;
   function MP_UML_A_Decision_Node_Decision_Node_Decision_Input return AMF.Internals.CMOF_Element;
   function MP_UML_A_Lifeline_Lifeline_Decomposed_As return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Parameter_Parameter_Default_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Property_Property_Default_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Parameter_Template_Parameter_Default return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_State_Deferrable_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connector_End_Connector_End_Defining_End return AMF.Internals.CMOF_Element;
   function MP_UML_A_Slot_Slot_Defining_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_A_Deployment_Deployment_Deployed_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_A_Deployment_Target_Deployment_Target_Deployed_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_End_Destruction_Data_Link_End_Destruction_Data_Destroy_At return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_State_Do_Activity return AMF.Internals.CMOF_Element;
   function MP_UML_A_Transition_Transition_Effect return AMF.Internals.CMOF_Element;
   function MP_UML_A_Create_Link_Action_Create_Link_Action_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_A_Destroy_Link_Action_Destroy_Link_Action_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_Action_Link_Action_End_Data return AMF.Internals.CMOF_Element;
   function MP_UML_A_Association_Association_End_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connector_Connector_End return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_End_Data_Link_End_Data_End return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Object_End_Action_Read_Link_Object_End_Action_End return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connection_Point_Reference_Connection_Point_Reference_Entry return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_State_Entry return AMF.Internals.CMOF_Element;
   function MP_UML_A_Duration_Observation_Duration_Observation_Event return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Observation_Time_Observation_Event return AMF.Internals.CMOF_Element;
   function MP_UML_A_Trigger_Trigger_Event return AMF.Internals.CMOF_Element;
   function MP_UML_A_Exception_Handler_Exception_Handler_Exception_Input return AMF.Internals.CMOF_Element;
   function MP_UML_A_Exception_Handler_Exception_Handler_Exception_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Raise_Exception_Action_Raise_Exception_Action_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_A_Sequence_Node_Sequence_Node_Executable_Node return AMF.Internals.CMOF_Element;
   function MP_UML_A_Execution_Occurrence_Specification_Execution_Occurrence_Specification_Execution return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connection_Point_Reference_Connection_Point_Reference_Exit return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_State_Exit return AMF.Internals.CMOF_Element;
   function MP_UML_A_Duration_Duration_Expr return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Expression_Time_Expression_Expr return AMF.Internals.CMOF_Element;
   function MP_UML_A_Extend_Extend_Extended_Case return AMF.Internals.CMOF_Element;
   function MP_UML_A_Region_Region_Extended_Region return AMF.Internals.CMOF_Element;
   function MP_UML_A_Redefinable_Template_Signature_Redefinable_Template_Signature_Extended_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_Machine_State_Machine_Extended_State_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_A_Extension_Extend_Extension_Location return AMF.Internals.CMOF_Element;
   function MP_UML_A_Execution_Specification_Execution_Specification_Finish return AMF.Internals.CMOF_Element;
   function MP_UML_A_Test_Identity_Action_Test_Identity_Action_First return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Interaction_Formal_Gate return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Parameter_Substitution_Template_Parameter_Substitution_Formal return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Input_Pin_Action_Input_Pin_From_Action return AMF.Internals.CMOF_Element;
   function MP_UML_A_Protocol_Conformance_Protocol_Conformance_General_Machine return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Fragment_Interaction_Fragment_General_Ordering return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_General return AMF.Internals.CMOF_Element;
   function MP_UML_A_Generalization_Generalization_General return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Edge_Activity_Edge_Guard return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Operand_Interaction_Operand_Guard return AMF.Internals.CMOF_Element;
   function MP_UML_A_Transition_Transition_Guard return AMF.Internals.CMOF_Element;
   function MP_UML_A_Exception_Handler_Exception_Handler_Handler_Body return AMF.Internals.CMOF_Element;
   function MP_UML_A_Stereotype_Stereotype_Icon return AMF.Internals.CMOF_Element;
   function MP_UML_A_Element_Import_Element_Import_Imported_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Namespace_Namespace_Imported_Member return AMF.Internals.CMOF_Element;
   function MP_UML_A_Package_Import_Package_Import_Imported_Package return AMF.Internals.CMOF_Element;
   function MP_UML_A_Object_Node_Object_Node_In_State return AMF.Internals.CMOF_Element;
   function MP_UML_A_Information_Flow_Information_Flow_Information_Source return AMF.Internals.CMOF_Element;
   function MP_UML_A_Information_Flow_Information_Flow_Information_Target return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_Inherited_Member return AMF.Internals.CMOF_Element;
   function MP_UML_A_Redefinable_Template_Signature_Redefinable_Template_Signature_Inherited_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_Action_Link_Action_Input_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Opaque_Action_Opaque_Action_Input_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Action_Input return AMF.Internals.CMOF_Element;
   function MP_UML_A_Add_Structural_Feature_Value_Action_Add_Structural_Feature_Value_Action_Insert_At return AMF.Internals.CMOF_Element;
   function MP_UML_A_Add_Variable_Value_Action_Add_Variable_Value_Action_Insert_At return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_End_Creation_Data_Link_End_Creation_Data_Insert_At return AMF.Internals.CMOF_Element;
   function MP_UML_A_Instance_Value_Instance_Value_Instance return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_Invariant_State_Invariant_Invariant return AMF.Internals.CMOF_Element;
   function MP_UML_A_Join_Node_Join_Node_Join_Spec return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Action_Local_Postcondition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Action_Local_Precondition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Loop_Variable_Input return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Loop_Variable return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Lower_Multiplicity_Element_Lower_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Artifact_Artifact_Manifestation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Abstraction_Abstraction_Mapping return AMF.Internals.CMOF_Element;
   function MP_UML_A_Duration_Interval_Duration_Interval_Max return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interval_Interval_Max return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Interval_Time_Interval_Max return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Constraint_Interaction_Constraint_Maxint return AMF.Internals.CMOF_Element;
   function MP_UML_A_Member_Namespace_Namespace_Member return AMF.Internals.CMOF_Element;
   function MP_UML_A_Package_Merge_Package_Merge_Merged_Package return AMF.Internals.CMOF_Element;
   function MP_UML_A_Consider_Ignore_Fragment_Consider_Ignore_Fragment_Message return AMF.Internals.CMOF_Element;
   function MP_UML_A_Message_End_Message_End_Message return AMF.Internals.CMOF_Element;
   function MP_UML_A_Profile_Profile_Metaclass_Reference return AMF.Internals.CMOF_Element;
   function MP_UML_A_Profile_Profile_Metamodel_Reference return AMF.Internals.CMOF_Element;
   function MP_UML_A_Duration_Interval_Duration_Interval_Min return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interval_Interval_Min return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Interval_Time_Interval_Min return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Constraint_Interaction_Constraint_Minint return AMF.Internals.CMOF_Element;
   function MP_UML_A_Named_Element_Named_Element_Name_Expression return AMF.Internals.CMOF_Element;
   function MP_UML_A_Association_Association_Navigable_Owned_End return AMF.Internals.CMOF_Element;
   function MP_UML_A_Artifact_Artifact_Nested_Artifact return AMF.Internals.CMOF_Element;
   function MP_UML_A_Class_Class_Nested_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interface_Interface_Nested_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Node_Node_Nested_Node return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reclassify_Object_Action_Reclassify_Object_Action_New_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clear_Association_Action_Clear_Association_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Is_Classified_Object_Action_Read_Is_Classified_Object_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Object_End_Action_Read_Link_Object_End_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Object_End_Qualifier_Action_Read_Link_Object_End_Qualifier_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reclassify_Object_Action_Reclassify_Object_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Start_Classifier_Behavior_Action_Start_Classifier_Behavior_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Start_Object_Behavior_Action_Start_Object_Behavior_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structural_Feature_Action_Structural_Feature_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Unmarshall_Action_Unmarshall_Action_Object return AMF.Internals.CMOF_Element;
   function MP_UML_A_Duration_Duration_Observation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Expression_Time_Expression_Observation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reclassify_Object_Action_Reclassify_Object_Action_Old_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Invocation_Action_Invocation_Action_On_Port return AMF.Internals.CMOF_Element;
   function MP_UML_A_Combined_Fragment_Combined_Fragment_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_A_Expression_Expression_Operand return AMF.Internals.CMOF_Element;
   function MP_UML_A_Call_Event_Call_Event_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Call_Operation_Action_Call_Operation_Action_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Property_Property_Opposite return AMF.Internals.CMOF_Element;
   function MP_UML_A_Opaque_Action_Opaque_Action_Output_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Action_Action_Output return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Parameter_Substitution_Template_Parameter_Substitution_Owned_Actual return AMF.Internals.CMOF_Element;
   function MP_UML_A_Artifact_Artifact_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Signal_Signal_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structured_Classifier_Structured_Classifier_Owned_Attribute return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behaviored_Classifier_Behaviored_Classifier_Owned_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Element_Element_Owned_Comment return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structured_Classifier_Structured_Classifier_Owned_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Parameter_Template_Parameter_Owned_Default return AMF.Internals.CMOF_Element;
   function MP_UML_A_Extension_Extension_Owned_End return AMF.Internals.CMOF_Element;
   function MP_UML_A_Artifact_Artifact_Owned_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Behavior_Owned_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavioral_Feature_Behavioral_Feature_Owned_Parameter_Set return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Behavior_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owner_Formal_Param_Behavioral_Feature_Owned_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_A_Encapsulated_Classifier_Encapsulated_Classifier_Owned_Port return AMF.Internals.CMOF_Element;
   function MP_UML_A_Class_Class_Owned_Reception return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interface_Interface_Owned_Reception return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Package_Package_Owned_Stereotype return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_Owned_Use_Case return AMF.Internals.CMOF_Element;
   function MP_UML_A_Component_Component_Packaged_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Package_Package_Packaged_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Parameter_Node_Activity_Parameter_Node_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Signature_Template_Signature_Parameter return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connector_End_Connector_End_Part_With_Port return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structured_Classifier_Structured_Classifier_Part return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Activity_Partition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Trigger_Trigger_Port return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Transition_Protocol_Transition_Post_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Behavior_Postcondition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Post_Context_Operation_Postcondition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Protocol_Transition_Protocol_Transition_Pre_Condition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Behavior_Precondition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Pre_Context_Operation_Precondition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Stereotype_Stereotype_Profile return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interface_Interface_Protocol return AMF.Internals.CMOF_Element;
   function MP_UML_A_Port_Port_Protocol return AMF.Internals.CMOF_Element;
   function MP_UML_A_Component_Component_Provided return AMF.Internals.CMOF_Element;
   function MP_UML_A_Port_Port_Provided return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_End_Data_Link_End_Data_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Qualifier_Value_Qualifier_Value_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Object_End_Qualifier_Action_Read_Link_Object_End_Qualifier_Action_Qualifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavioral_Feature_Behavioral_Feature_Raised_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_A_Operation_Operation_Raised_Exception return AMF.Internals.CMOF_Element;
   function MP_UML_A_Abstraction_Information_Flow_Realization return AMF.Internals.CMOF_Element;
   function MP_UML_A_Information_Flow_Information_Flow_Realizing_Activity_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_A_Component_Realization_Component_Realization_Realizing_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Information_Flow_Information_Flow_Realizing_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_A_Information_Flow_Information_Flow_Realizing_Message return AMF.Internals.CMOF_Element;
   function MP_UML_A_End_Message_Message_Receive_Event return AMF.Internals.CMOF_Element;
   function MP_UML_A_Behavior_Behavior_Redefined_Behavior return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_Redefined_Classifier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connector_Connector_Redefined_Connector return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Edge_Activity_Edge_Redefined_Edge return AMF.Internals.CMOF_Element;
   function MP_UML_A_Redefinable_Element_Redefinable_Element_Redefined_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interface_Interface_Redefined_Interface return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Node_Activity_Node_Redefined_Node return AMF.Internals.CMOF_Element;
   function MP_UML_A_Operation_Operation_Redefined_Operation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Port_Port_Redefined_Port return AMF.Internals.CMOF_Element;
   function MP_UML_A_Property_Property_Redefined_Property return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_State_Redefined_State return AMF.Internals.CMOF_Element;
   function MP_UML_A_Transition_Transition_Redefined_Transition return AMF.Internals.CMOF_Element;
   function MP_UML_A_Redefinable_Element_Redefinable_Element_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_A_Region_Region_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_A_State_State_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_A_Transition_Transition_Redefinition_Context return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reduce_Action_Reduce_Action_Reducer return AMF.Internals.CMOF_Element;
   function MP_UML_A_Protocol_Transition_Protocol_Transition_Referred return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Use_Interaction_Use_Refers_To return AMF.Internals.CMOF_Element;
   function MP_UML_A_Relationship_Relationship_Related_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Remove_Structural_Feature_Value_Action_Remove_Structural_Feature_Value_Action_Remove_At return AMF.Internals.CMOF_Element;
   function MP_UML_A_Remove_Variable_Value_Action_Remove_Variable_Value_Action_Remove_At return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reply_Action_Reply_Action_Reply_To_Call return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reply_Action_Reply_Action_Reply_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Classifier_Classifier_Representation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Representation_Information_Item_Represented return AMF.Internals.CMOF_Element;
   function MP_UML_A_Activity_Partition_Activity_Partition_Represents return AMF.Internals.CMOF_Element;
   function MP_UML_A_Lifeline_Lifeline_Represents return AMF.Internals.CMOF_Element;
   function MP_UML_A_Send_Object_Action_Send_Object_Action_Request return AMF.Internals.CMOF_Element;
   function MP_UML_A_Component_Component_Required return AMF.Internals.CMOF_Element;
   function MP_UML_A_Port_Port_Required return AMF.Internals.CMOF_Element;
   function MP_UML_A_Accept_Event_Action_Accept_Event_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Call_Action_Call_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clear_Structural_Feature_Action_Clear_Structural_Feature_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Conditional_Node_Conditional_Node_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Create_Link_Object_Action_Create_Link_Object_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Create_Object_Action_Create_Object_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Opaque_Expression_Opaque_Expression_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Extent_Action_Read_Extent_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Is_Classified_Object_Action_Read_Is_Classified_Object_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Action_Read_Link_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Object_End_Action_Read_Link_Object_End_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Link_Object_End_Qualifier_Action_Read_Link_Object_End_Qualifier_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Self_Action_Read_Self_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Structural_Feature_Action_Read_Structural_Feature_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Read_Variable_Action_Read_Variable_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reduce_Action_Reduce_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Test_Identity_Action_Test_Identity_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Unmarshall_Action_Unmarshall_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Value_Specification_Action_Value_Specification_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Write_Structural_Feature_Action_Write_Structural_Feature_Action_Result return AMF.Internals.CMOF_Element;
   function MP_UML_A_Accept_Call_Action_Accept_Call_Action_Return_Information return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reply_Action_Reply_Action_Return_Information return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Use_Interaction_Use_Return_Value_Recipient return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interaction_Use_Interaction_Use_Return_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Collaboration_Use_Collaboration_Use_Role_Binding return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structured_Classifier_Structured_Classifier_Role return AMF.Internals.CMOF_Element;
   function MP_UML_A_Test_Identity_Action_Test_Identity_Action_Second return AMF.Internals.CMOF_Element;
   function MP_UML_A_Object_Flow_Object_Flow_Selection return AMF.Internals.CMOF_Element;
   function MP_UML_A_Object_Node_Object_Node_Selection return AMF.Internals.CMOF_Element;
   function MP_UML_A_Lifeline_Lifeline_Selector return AMF.Internals.CMOF_Element;
   function MP_UML_A_End_Message_Message_Send_Event return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Setup_Part return AMF.Internals.CMOF_Element;
   function MP_UML_A_Broadcast_Signal_Action_Broadcast_Signal_Action_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_A_Reception_Reception_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_A_Send_Signal_Action_Send_Signal_Action_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_A_Signal_Event_Signal_Event_Signal return AMF.Internals.CMOF_Element;
   function MP_UML_A_Message_Message_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_A_Template_Binding_Template_Binding_Signature return AMF.Internals.CMOF_Element;
   function MP_UML_A_Directed_Relationship_Directed_Relationship_Source return AMF.Internals.CMOF_Element;
   function MP_UML_A_Duration_Constraint_Duration_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_A_Interval_Constraint_Interval_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Constraint_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Instance_Spec_Instance_Specification_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_A_Time_Constraint_Time_Constraint_Specification return AMF.Internals.CMOF_Element;
   function MP_UML_A_Execution_Specification_Execution_Specification_Start return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_State_State_State_Invariant return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structural_Feature_Action_Structural_Feature_Action_Structural_Feature return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structured_Activity_Node_Structured_Activity_Node_Structured_Node_Input return AMF.Internals.CMOF_Element;
   function MP_UML_A_Structured_Activity_Node_Structured_Activity_Node_Structured_Node_Output return AMF.Internals.CMOF_Element;
   function MP_UML_A_Property_Property_Subsetted_Property return AMF.Internals.CMOF_Element;
   function MP_UML_A_Class_Class_Super_Class return AMF.Internals.CMOF_Element;
   function MP_UML_A_Supplier_Dependency_Dependency_Supplier return AMF.Internals.CMOF_Element;
   function MP_UML_A_Call_Operation_Action_Call_Operation_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_A_Destroy_Object_Action_Destroy_Object_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_A_Directed_Relationship_Directed_Relationship_Target return AMF.Internals.CMOF_Element;
   function MP_UML_A_Send_Object_Action_Send_Object_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_A_Send_Signal_Action_Send_Signal_Action_Target return AMF.Internals.CMOF_Element;
   function MP_UML_A_Clause_Clause_Test return AMF.Internals.CMOF_Element;
   function MP_UML_A_Loop_Node_Loop_Node_Test return AMF.Internals.CMOF_Element;
   function MP_UML_A_Object_Flow_Object_Flow_Transformation return AMF.Internals.CMOF_Element;
   function MP_UML_A_Accept_Event_Action_Accept_Event_Action_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_A_Transition_Transition_Trigger return AMF.Internals.CMOF_Element;
   function MP_UML_A_Collaboration_Use_Collaboration_Use_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Connector_Connector_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Extension_End_Extension_End_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Operation_Operation_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Typed_Element_Typed_Element_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Unmarshall_Action_Unmarshall_Action_Unmarshall_Type return AMF.Internals.CMOF_Element;
   function MP_UML_A_Object_Node_Object_Node_Upper_Bound return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Upper_Multiplicity_Element_Upper_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Manifestation_Manifestation_Utilized_Element return AMF.Internals.CMOF_Element;
   function MP_UML_A_Link_End_Data_Link_End_Data_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Owning_Slot_Slot_Value return AMF.Internals.CMOF_Element;
   function MP_UML_A_Qualifier_Value_Qualifier_Value_Value return AMF.Internals.CMOF_Element;

   function MA_UML_Value_Pin_Value_Value_Pin return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Action_Value_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Write_Structural_Feature_Action_Value_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Write_Variable_Action_Value_Write_Variable_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Variable_Activity_Scope return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Activity_Node_Variable_Scope return AMF.Internals.CMOF_Element;
   function MA_UML_Variable_Action_Variable_Variable_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Weight_Activity_Edge return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Event_When_Time_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Execution_Specification_Action_Action_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Action_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Use_Actual_Gate_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Substitution_Actual_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Include_Addition_Include return AMF.Internals.CMOF_Element;
   function MA_UML_Comment_Annotated_Element_Comment return AMF.Internals.CMOF_Element;
   function MA_UML_Profile_Application_Applied_Profile_Profile_Application return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Use_Argument_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Invocation_Action_Argument_Invocation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Argument_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Clear_Association_Action_Association_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Attribute_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_General_Ordering_Before_To_After return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Execution_Specification_Behavior_Behavior_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Call_Behavior_Action_Behavior_Call_Behavior_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Opaque_Expression_Behavior_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Body_Condition_Body_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Body_Output_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Body_Output_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Body_Part_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Body_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Combined_Fragment_Cfragment_Gate_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Change_Event_Change_Expression_Change_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Behaviored_Classifier_Classifier_Behavior_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Create_Object_Action_Classifier_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Enumeration_Literal_Classifier_Enumeration_Literal return AMF.Internals.CMOF_Element;
   function MA_UML_Instance_Specification_Classifier_Instance_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Extent_Action_Classifier_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Is_Classified_Object_Action_Classifier_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Conditional_Node_Clause_Conditional_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Client_Dependency_Client return AMF.Internals.CMOF_Element;
   function MA_UML_Collaboration_Collaboration_Role_Collaboration return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Collaboration_Use_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Reduce_Action_Collection_Reduce_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Extend_Condition_Extend return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Set_Condition_Parameter_Set return AMF.Internals.CMOF_Element;
   function MA_UML_Deployment_Configuration_Deployment return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_State_Machine_Conformance_Specific_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Connectable_Element_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MA_UML_State_Connection_Point_State return AMF.Internals.CMOF_Element;
   function MA_UML_State_Machine_Connection_Point_State_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_State_Connection_State return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Connector_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Constrained_Element_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Template_Parameter_Constraining_Classifier_Classifier_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Group_Contained_Edge_In_Group return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Group_Contained_Node_In_Group return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Context_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Context_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Contract_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Realization_Contract_Interface_Realization return AMF.Internals.CMOF_Element;
   function MA_UML_Substitution_Contract_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Conveyed_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Fragment_Covered_Covered_By return AMF.Internals.CMOF_Element;
   function MA_UML_Occurrence_Specification_Covered_Events return AMF.Internals.CMOF_Element;
   function MA_UML_State_Invariant_Covered_State_Invariant return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Decider_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Decider_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Decision_Node_Decision_Input_Flow_Decision_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Decision_Node_Decision_Input_Decision_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Decomposed_As_Lifeline return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Default_Value_Owning_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Default_Value_Owning_Property return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Default_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_State_Deferrable_Trigger_State return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_End_Defining_End_Connector_End return AMF.Internals.CMOF_Element;
   function MA_UML_Slot_Defining_Feature_Slot return AMF.Internals.CMOF_Element;
   function MA_UML_Deployment_Deployed_Artifact_Deployment return AMF.Internals.CMOF_Element;
   function MA_UML_Deployment_Target_Deployed_Element_Deployment_Target return AMF.Internals.CMOF_Element;
   function MA_UML_Deployment_Target_Deployment_Location return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Destruction_Data_Destroy_At_Link_End_Destruction_Data return AMF.Internals.CMOF_Element;
   function MA_UML_State_Do_Activity_State return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_Edge_In_Partition return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Activity_Node_Edge_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Effect_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Namespace_Element_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Create_Link_Action_End_Data_Create_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Destroy_Link_Action_End_Data_Destroy_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Link_Action_End_Data_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Association_End_Type_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_End_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Data_End_Link_End_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Object_End_Action_End_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Connectable_Element_End_Role return AMF.Internals.CMOF_Element;
   function MA_UML_Connection_Point_Reference_Entry_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MA_UML_State_Entry_State return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Observation_Event_Duration_Observation return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Observation_Event_Time_Observation return AMF.Internals.CMOF_Element;
   function MA_UML_Trigger_Event_Trigger return AMF.Internals.CMOF_Element;
   function MA_UML_Exception_Handler_Exception_Input_Exception_Handler return AMF.Internals.CMOF_Element;
   function MA_UML_Exception_Handler_Exception_Type_Exception_Handler return AMF.Internals.CMOF_Element;
   function MA_UML_Raise_Exception_Action_Exception_Raise_Exception_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Sequence_Node_Executable_Node_Sequence_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Execution_Occurrence_Specification_Execution_Execution_Occurrence_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Connection_Point_Reference_Exit_Connection_Point_Reference return AMF.Internals.CMOF_Element;
   function MA_UML_State_Exit_State return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Expr_Duration return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Expression_Expr_Time_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Extend_Extension return AMF.Internals.CMOF_Element;
   function MA_UML_Extend_Extended_Case_Extend return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Extended_Region_Region return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Template_Signature_Extended_Signature_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_State_Machine_Extended_State_Machine_State_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Extend_Extension_Location_Extension return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Extension_Point_Use_Case return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Extension_Metaclass return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Feature_Featuring_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Execution_Specification_Finish_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Test_Identity_Action_First_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Formal_Gate_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Substitution_Formal_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Fragment_Enclosing_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Operand_Fragment_Enclosing_Operand return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Input_Pin_From_Action_Action_Input_Pin return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_Conformance_General_Machine_Protocol_Conformance return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Fragment_General_Ordering_Interaction_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_General_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Generalization_General_Generalization return AMF.Internals.CMOF_Element;
   function MA_UML_Generalization_Generalization_Set_Generalization return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Generalization_Specific return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Group_In_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Guard_Activity_Edge return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Operand_Guard_Interaction_Operand return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Guard_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Exception_Handler_Handler_Body_Exception_Handler return AMF.Internals.CMOF_Element;
   function MA_UML_Executable_Node_Handler_Protected_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Stereotype_Icon_Stereotype return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Import_Imported_Element_Element_Import return AMF.Internals.CMOF_Element;
   function MA_UML_Namespace_Imported_Member_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Import_Imported_Package_Package_Import return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_In_Interruptible_Region_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_In_Partition_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Node_In_State_Object_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Include_Including_Case return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Incoming_Target return AMF.Internals.CMOF_Element;
   function MA_UML_Vertex_Incoming_Target return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Information_Source_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Information_Target_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Inherited_Member_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Template_Signature_Inherited_Parameter_Redefinable_Template_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_Expansion_Region_Input_Element_Region_As_Input return AMF.Internals.CMOF_Element;
   function MA_UML_Link_Action_Input_Value_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Opaque_Action_Input_Value_Opaque_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Input_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Add_Structural_Feature_Value_Action_Insert_At_Add_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Add_Variable_Value_Action_Insert_At_Add_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Creation_Data_Insert_At_Link_End_Creation_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Instance_Value_Instance_Instance_Value return AMF.Internals.CMOF_Element;
   function MA_UML_Behaviored_Classifier_Interface_Realization_Implementing_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Interruptible_Activity_Region_Interrupting_Edge_Interrupts return AMF.Internals.CMOF_Element;
   function MA_UML_State_Invariant_Invariant_State_Invariant return AMF.Internals.CMOF_Element;
   function MA_UML_Join_Node_Join_Spec_Join_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Lifeline_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Local_Postcondition_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Local_Precondition_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Loop_Variable_Input_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Loop_Variable_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Multiplicity_Element_Lower_Value_Owning_Lower return AMF.Internals.CMOF_Element;
   function MA_UML_Artifact_Manifestation_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Abstraction_Mapping_Abstraction return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Interval_Max_Duration_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Interval_Max_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Interval_Max_Time_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Constraint_Maxint_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Association_Member_End_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Namespace_Member_Member_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Merge_Merged_Package_Package_Merge return AMF.Internals.CMOF_Element;
   function MA_UML_Consider_Ignore_Fragment_Message_Consider_Ignore_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Message_Interaction return AMF.Internals.CMOF_Element;
   function MA_UML_Message_End_Message_Message_End return AMF.Internals.CMOF_Element;
   function MA_UML_Profile_Metaclass_Reference_Profile return AMF.Internals.CMOF_Element;
   function MA_UML_Profile_Metamodel_Reference_Profile return AMF.Internals.CMOF_Element;
   function MA_UML_Behavioral_Feature_Method_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Interval_Min_Duration_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Interval_Min_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Interval_Min_Time_Interval return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Constraint_Minint_Interaction_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Named_Element_Name_Expression_Named_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Association_Navigable_Owned_End_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Artifact_Nested_Artifact_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Nested_Classifier_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Nested_Classifier_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Node_Nested_Node_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Nested_Package_Nesting_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Reclassify_Object_Action_New_Classifier_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Activity_Node_Node_In_Structured_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Clear_Association_Action_Object_Clear_Association_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Is_Classified_Object_Action_Object_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Object_End_Action_Object_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Object_End_Qualifier_Action_Object_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Reclassify_Object_Action_Object_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Start_Classifier_Behavior_Action_Object_Start_Classifier_Behavior_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Start_Object_Behavior_Action_Object_Start_Object_Behavior_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Structural_Feature_Action_Object_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Unmarshall_Action_Object_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Observation_Duration return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Expression_Observation_Time_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Reclassify_Object_Action_Old_Classifier_Reclassify_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Invocation_Action_On_Port_Invocation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Combined_Fragment_Operand_Combined_Fragment return AMF.Internals.CMOF_Element;
   function MA_UML_Expression_Operand_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Call_Event_Operation_Call_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Call_Operation_Action_Operation_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Template_Parameter_Parametered_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Opposite_Property return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Outgoing_Source return AMF.Internals.CMOF_Element;
   function MA_UML_Vertex_Outgoing_Source return AMF.Internals.CMOF_Element;
   function MA_UML_Expansion_Region_Output_Element_Region_As_Output return AMF.Internals.CMOF_Element;
   function MA_UML_Opaque_Action_Output_Value_Opaque_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Action_Output_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Substitution_Owned_Actual_Template_Parameter_Substitution return AMF.Internals.CMOF_Element;
   function MA_UML_Artifact_Owned_Attribute_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Owned_Attribute_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Data_Type_Owned_Attribute_Datatype return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Owned_Attribute_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Signal_Owned_Attribute_Owning_Signal return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Classifier_Owned_Attribute_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Behaviored_Classifier_Owned_Behavior_Behaviored_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Owned_Comment_Owning_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Classifier_Owned_Connector_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Owned_Default_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Element_Owned_Element_Owner return AMF.Internals.CMOF_Element;
   function MA_UML_Extension_Owned_End_Extension return AMF.Internals.CMOF_Element;
   function MA_UML_Association_Owned_End_Owning_Association return AMF.Internals.CMOF_Element;
   function MA_UML_Enumeration_Owned_Literal_Enumeration return AMF.Internals.CMOF_Element;
   function MA_UML_Namespace_Owned_Member_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Artifact_Owned_Operation_Artifact return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Owned_Operation_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Data_Type_Owned_Operation_Datatype return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Owned_Operation_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Owned_Parameter_Set_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Behavioral_Feature_Owned_Parameter_Set_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Owned_Parameter_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Owned_Parameter_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Behavioral_Feature_Owned_Parameter_Owner_Formal_Param return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Signature_Owned_Parameter_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Owned_Parametered_Element_Owning_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Encapsulated_Classifier_Owned_Port_Encapsulated_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Owned_Reception_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Owned_Reception_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Namespace_Owned_Rule_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Owned_Stereotype_Owning_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Owned_Template_Signature_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Templateable_Element_Owned_Template_Signature_Template return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Owned_Type_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Owned_Use_Case_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Namespace_Package_Import_Importing_Namespace return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Package_Merge_Receiving_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Component_Packaged_Element_Component return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Packaged_Element_Owning_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Parameter_Parameter_Set_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Binding_Parameter_Substitution_Template_Binding return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Parameter_Node_Parameter_Activity_Parameter_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Signature_Parameter_Template_Signature return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Parameter_Parametered_Element_Template_Parameter return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_End_Part_With_Port_Connector_End return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Classifier_Part_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_Trigger_Port_Trigger return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_Transition_Post_Condition_Owning_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Postcondition_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Postcondition_Post_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Powertype_Extent_Powertype return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_Transition_Pre_Condition_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Precondition_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Precondition_Pre_Context return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Predecessor_Clause_Successor_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Package_Profile_Application_Applying_Package return AMF.Internals.CMOF_Element;
   function MA_UML_Stereotype_Profile_Stereotype return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Protocol_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Protocol_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Component_Provided_Component return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Provided_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Qualifier_Association_End return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Data_Qualifier_Link_End_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Qualifier_Value_Qualifier_Qualifier_Value return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Object_End_Qualifier_Action_Qualifier_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Behavioral_Feature_Raised_Exception_Behavioral_Feature return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Raised_Exception_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Component_Realization_Abstraction return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Realization_Abstraction return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Realizing_Activity_Edge_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Component_Realization_Realizing_Classifier_Component_Realization return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Realizing_Connector_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Flow_Realizing_Message_Information_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Receive_Event_End_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Behavior_Redefined_Behavior_Behavior return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Redefined_Classifier_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Redefined_Connector_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Edge_Redefined_Edge_Activity_Edge return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Element_Redefined_Element_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Interface_Redefined_Interface_Interface return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Node_Redefined_Node_Activity_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Redefined_Operation_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Redefined_Port_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Redefined_Property_Property return AMF.Internals.CMOF_Element;
   function MA_UML_State_Redefined_State_State return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Redefined_Transition_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Redefinable_Element_Redefinition_Context_Redefinable_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Redefinition_Context_Region return AMF.Internals.CMOF_Element;
   function MA_UML_State_Redefinition_Context_State return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Redefinition_Context_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Reduce_Action_Reducer_Reduce_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Protocol_Transition_Referred_Protocol_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Use_Refers_To_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_State_Region_State return AMF.Internals.CMOF_Element;
   function MA_UML_State_Machine_Region_State_Machine return AMF.Internals.CMOF_Element;
   function MA_UML_Relationship_Related_Element_Relationship return AMF.Internals.CMOF_Element;
   function MA_UML_Remove_Structural_Feature_Value_Action_Remove_At_Remove_Structural_Feature_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Remove_Variable_Value_Action_Remove_At_Remove_Variable_Value_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Reply_Action_Reply_To_Call_Reply_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Reply_Action_Reply_Value_Reply_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Representation_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Information_Item_Represented_Representation return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_Represents_Activity_Partition return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Represents_Lifeline return AMF.Internals.CMOF_Element;
   function MA_UML_Send_Object_Action_Request_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Component_Required_Component return AMF.Internals.CMOF_Element;
   function MA_UML_Port_Required_Port return AMF.Internals.CMOF_Element;
   function MA_UML_Accept_Event_Action_Result_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Call_Action_Result_Call_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Clear_Structural_Feature_Action_Result_Clear_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Conditional_Node_Result_Conditional_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Create_Link_Object_Action_Result_Create_Link_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Create_Object_Action_Result_Create_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Result_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Opaque_Expression_Result_Opaque_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Extent_Action_Result_Read_Extent_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Is_Classified_Object_Action_Result_Read_Is_Classified_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Action_Result_Read_Link_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Object_End_Action_Result_Read_Link_Object_End_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Link_Object_End_Qualifier_Action_Result_Read_Link_Object_End_Qualifier_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Self_Action_Result_Read_Self_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Structural_Feature_Action_Result_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Read_Variable_Action_Result_Read_Variable_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Reduce_Action_Result_Reduce_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Test_Identity_Action_Result_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Unmarshall_Action_Result_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Value_Specification_Action_Result_Value_Specification_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Write_Structural_Feature_Action_Result_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Accept_Call_Action_Return_Information_Accept_Call_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Reply_Action_Return_Information_Reply_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Use_Return_Value_Recipient_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Interaction_Use_Return_Value_Interaction_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Collaboration_Use_Role_Binding_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Classifier_Role_Structured_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Test_Identity_Action_Second_Test_Identity_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Flow_Selection_Object_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Node_Selection_Object_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Lifeline_Selector_Lifeline return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Send_Event_End_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Setup_Part_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Broadcast_Signal_Action_Signal_Broadcast_Signal_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Reception_Signal_Reception return AMF.Internals.CMOF_Element;
   function MA_UML_Send_Signal_Action_Signal_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Signal_Event_Signal_Signal_Event return AMF.Internals.CMOF_Element;
   function MA_UML_Message_Signature_Message return AMF.Internals.CMOF_Element;
   function MA_UML_Template_Binding_Signature_Template_Binding return AMF.Internals.CMOF_Element;
   function MA_UML_Instance_Specification_Slot_Owning_Instance return AMF.Internals.CMOF_Element;
   function MA_UML_Directed_Relationship_Source_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MA_UML_Duration_Constraint_Specification_Duration_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Interval_Constraint_Specification_Interval_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Constraint_Specification_Owning_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Instance_Specification_Specification_Owning_Instance_Spec return AMF.Internals.CMOF_Element;
   function MA_UML_Time_Constraint_Specification_Time_Constraint return AMF.Internals.CMOF_Element;
   function MA_UML_Execution_Specification_Start_Execution_Specification return AMF.Internals.CMOF_Element;
   function MA_UML_State_State_Invariant_Owning_State return AMF.Internals.CMOF_Element;
   function MA_UML_Structural_Feature_Action_Structural_Feature_Structural_Feature_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Activity_Node_Structured_Node_Input_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Structured_Activity_Node_Structured_Node_Output_Structured_Activity_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Structured_Node_Activity return AMF.Internals.CMOF_Element;
   function MA_UML_String_Expression_Sub_Expression_Owning_Expression return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Group_Subgroup_Super_Group return AMF.Internals.CMOF_Element;
   function MA_UML_Use_Case_Subject_Use_Case return AMF.Internals.CMOF_Element;
   function MA_UML_State_Machine_Submachine_State_Submachine return AMF.Internals.CMOF_Element;
   function MA_UML_Activity_Partition_Subpartition_Super_Partition return AMF.Internals.CMOF_Element;
   function MA_UML_Property_Subsetted_Property_Property return AMF.Internals.CMOF_Element;
   function MA_UML_Classifier_Substitution_Substituting_Classifier return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Subvertex_Container return AMF.Internals.CMOF_Element;
   function MA_UML_Class_Super_Class_Class return AMF.Internals.CMOF_Element;
   function MA_UML_Dependency_Supplier_Supplier_Dependency return AMF.Internals.CMOF_Element;
   function MA_UML_Call_Operation_Action_Target_Call_Operation_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Destroy_Object_Action_Target_Destroy_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Directed_Relationship_Target_Directed_Relationship return AMF.Internals.CMOF_Element;
   function MA_UML_Send_Object_Action_Target_Send_Object_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Send_Signal_Action_Target_Send_Signal_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Templateable_Element_Template_Binding_Bound_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Clause_Test_Clause return AMF.Internals.CMOF_Element;
   function MA_UML_Loop_Node_Test_Loop_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Occurrence_Specification_To_Before_After return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Flow_Transformation_Object_Flow return AMF.Internals.CMOF_Element;
   function MA_UML_Region_Transition_Container return AMF.Internals.CMOF_Element;
   function MA_UML_Accept_Event_Action_Trigger_Accept_Event_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Transition_Trigger_Transition return AMF.Internals.CMOF_Element;
   function MA_UML_Collaboration_Use_Type_Collaboration_Use return AMF.Internals.CMOF_Element;
   function MA_UML_Connector_Type_Connector return AMF.Internals.CMOF_Element;
   function MA_UML_Extension_End_Type_Extension_End return AMF.Internals.CMOF_Element;
   function MA_UML_Operation_Type_Operation return AMF.Internals.CMOF_Element;
   function MA_UML_Typed_Element_Type_Typed_Element return AMF.Internals.CMOF_Element;
   function MA_UML_Unmarshall_Action_Unmarshall_Type_Unmarshall_Action return AMF.Internals.CMOF_Element;
   function MA_UML_Object_Node_Upper_Bound_Object_Node return AMF.Internals.CMOF_Element;
   function MA_UML_Multiplicity_Element_Upper_Value_Owning_Upper return AMF.Internals.CMOF_Element;
   function MA_UML_Manifestation_Utilized_Element_Manifestation return AMF.Internals.CMOF_Element;
   function MA_UML_Link_End_Data_Value_Link_End_Data return AMF.Internals.CMOF_Element;
   function MA_UML_Slot_Value_Owning_Slot return AMF.Internals.CMOF_Element;
   function MA_UML_Qualifier_Value_Value_Qualifier_Value return AMF.Internals.CMOF_Element;

   function MB_UML return AMF.Internals.AMF_Element;

   function ML_UML return AMF.Internals.AMF_Element;

private

   Base : AMF.Internals.CMOF_Element := 0;

end AMF.Internals.Tables.UML_Metamodel;
