------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2011-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3637 $ $Date: 2013-01-07 21:22:12 +0400 (Mon, 07 Jan 2013) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package body AMF.Internals.Tables.UMLDI_Metamodel is

   --------------------
   -- MM_UMLDI_UMLDI --
   --------------------

   function MM_UMLDI_UMLDI return AMF.Internals.CMOF_Element is
   begin
      return Base + 96;
   end MM_UMLDI_UMLDI;

   --------------------------------------------------------------
   -- MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind --
   --------------------------------------------------------------

   function MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 272;
   end MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind;

   ----------------------------------------------
   -- MC_UMLDI_UML_Inherited_State_Border_Kind --
   ----------------------------------------------

   function MC_UMLDI_UML_Inherited_State_Border_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 275;
   end MC_UMLDI_UML_Inherited_State_Border_Kind;

   -------------------------------------------
   -- MC_UMLDI_UML_Interaction_Diagram_Kind --
   -------------------------------------------

   function MC_UMLDI_UML_Interaction_Diagram_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 281;
   end MC_UMLDI_UML_Interaction_Diagram_Kind;

   -----------------------------------------------
   -- MC_UMLDI_UML_Interaction_Table_Label_Kind --
   -----------------------------------------------

   function MC_UMLDI_UML_Interaction_Table_Label_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 293;
   end MC_UMLDI_UML_Interaction_Table_Label_Kind;

   ---------------------------------------------
   -- MC_UMLDI_UML_Navigability_Notation_Kind --
   ---------------------------------------------

   function MC_UMLDI_UML_Navigability_Notation_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 309;
   end MC_UMLDI_UML_Navigability_Notation_Kind;

   -----------------------------------
   -- MC_UMLDI_UML_Activity_Diagram --
   -----------------------------------

   function MC_UMLDI_UML_Activity_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 1;
   end MC_UMLDI_UML_Activity_Diagram;

   ----------------------------------------
   -- MC_UMLDI_UML_Association_End_Label --
   ----------------------------------------

   function MC_UMLDI_UML_Association_End_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 2;
   end MC_UMLDI_UML_Association_End_Label;

   ---------------------------------------------------------
   -- MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape --
   ---------------------------------------------------------

   function MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 3;
   end MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape;

   -----------------------------------
   -- MC_UMLDI_UML_Behavior_Diagram --
   -----------------------------------

   function MC_UMLDI_UML_Behavior_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 4;
   end MC_UMLDI_UML_Behavior_Diagram;

   --------------------------------
   -- MC_UMLDI_UML_Class_Diagram --
   --------------------------------

   function MC_UMLDI_UML_Class_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 5;
   end MC_UMLDI_UML_Class_Diagram;

   -------------------------------------------------------
   -- MC_UMLDI_UML_Class_Or_Composite_Structure_Diagram --
   -------------------------------------------------------

   function MC_UMLDI_UML_Class_Or_Composite_Structure_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 6;
   end MC_UMLDI_UML_Class_Or_Composite_Structure_Diagram;

   -----------------------------------
   -- MC_UMLDI_UML_Classifier_Shape --
   -----------------------------------

   function MC_UMLDI_UML_Classifier_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 7;
   end MC_UMLDI_UML_Classifier_Shape;

   ------------------------------
   -- MC_UMLDI_UML_Compartment --
   ------------------------------

   function MC_UMLDI_UML_Compartment return AMF.Internals.CMOF_Element is
   begin
      return Base + 8;
   end MC_UMLDI_UML_Compartment;

   ----------------------------------------
   -- MC_UMLDI_UML_Compartmentable_Shape --
   ----------------------------------------

   function MC_UMLDI_UML_Compartmentable_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 9;
   end MC_UMLDI_UML_Compartmentable_Shape;

   ------------------------------------
   -- MC_UMLDI_UML_Component_Diagram --
   ------------------------------------

   function MC_UMLDI_UML_Component_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 10;
   end MC_UMLDI_UML_Component_Diagram;

   ----------------------------------------------
   -- MC_UMLDI_UML_Composite_Structure_Diagram --
   ----------------------------------------------

   function MC_UMLDI_UML_Composite_Structure_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 11;
   end MC_UMLDI_UML_Composite_Structure_Diagram;

   -------------------------------------
   -- MC_UMLDI_UML_Deployment_Diagram --
   -------------------------------------

   function MC_UMLDI_UML_Deployment_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 12;
   end MC_UMLDI_UML_Deployment_Diagram;

   --------------------------
   -- MC_UMLDI_UML_Diagram --
   --------------------------

   function MC_UMLDI_UML_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 13;
   end MC_UMLDI_UML_Diagram;

   ----------------------------------
   -- MC_UMLDI_UML_Diagram_Element --
   ----------------------------------

   function MC_UMLDI_UML_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 14;
   end MC_UMLDI_UML_Diagram_Element;

   -----------------------
   -- MC_UMLDI_UML_Edge --
   -----------------------

   function MC_UMLDI_UML_Edge return AMF.Internals.CMOF_Element is
   begin
      return Base + 15;
   end MC_UMLDI_UML_Edge;

   --------------------------------------
   -- MC_UMLDI_UML_Interaction_Diagram --
   --------------------------------------

   function MC_UMLDI_UML_Interaction_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 16;
   end MC_UMLDI_UML_Interaction_Diagram;

   ------------------------------------------
   -- MC_UMLDI_UML_Interaction_Table_Label --
   ------------------------------------------

   function MC_UMLDI_UML_Interaction_Table_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 17;
   end MC_UMLDI_UML_Interaction_Table_Label;

   --------------------------------
   -- MC_UMLDI_UML_Keyword_Label --
   --------------------------------

   function MC_UMLDI_UML_Keyword_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 18;
   end MC_UMLDI_UML_Keyword_Label;

   ------------------------
   -- MC_UMLDI_UML_Label --
   ------------------------

   function MC_UMLDI_UML_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 19;
   end MC_UMLDI_UML_Label;

   -------------------------------------
   -- MC_UMLDI_UML_Multiplicity_Label --
   -------------------------------------

   function MC_UMLDI_UML_Multiplicity_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 20;
   end MC_UMLDI_UML_Multiplicity_Label;

   -----------------------------
   -- MC_UMLDI_UML_Name_Label --
   -----------------------------

   function MC_UMLDI_UML_Name_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 21;
   end MC_UMLDI_UML_Name_Label;

   ---------------------------------
   -- MC_UMLDI_UML_Object_Diagram --
   ---------------------------------

   function MC_UMLDI_UML_Object_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 22;
   end MC_UMLDI_UML_Object_Diagram;

   ----------------------------------
   -- MC_UMLDI_UML_Package_Diagram --
   ----------------------------------

   function MC_UMLDI_UML_Package_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 23;
   end MC_UMLDI_UML_Package_Diagram;

   ----------------------------------
   -- MC_UMLDI_UML_Profile_Diagram --
   ----------------------------------

   function MC_UMLDI_UML_Profile_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 24;
   end MC_UMLDI_UML_Profile_Diagram;

   ----------------------------------
   -- MC_UMLDI_UML_Redefines_Label --
   ----------------------------------

   function MC_UMLDI_UML_Redefines_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 25;
   end MC_UMLDI_UML_Redefines_Label;

   ------------------------
   -- MC_UMLDI_UML_Shape --
   ------------------------

   function MC_UMLDI_UML_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 26;
   end MC_UMLDI_UML_Shape;

   ----------------------------------------
   -- MC_UMLDI_UML_State_Machine_Diagram --
   ----------------------------------------

   function MC_UMLDI_UML_State_Machine_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 27;
   end MC_UMLDI_UML_State_Machine_Diagram;

   ------------------------------
   -- MC_UMLDI_UML_State_Shape --
   ------------------------------

   function MC_UMLDI_UML_State_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 28;
   end MC_UMLDI_UML_State_Shape;

   --------------------------------------------------
   -- MC_UMLDI_UML_Stereotype_Property_Value_Label --
   --------------------------------------------------

   function MC_UMLDI_UML_Stereotype_Property_Value_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 29;
   end MC_UMLDI_UML_Stereotype_Property_Value_Label;

   ------------------------------------
   -- MC_UMLDI_UML_Structure_Diagram --
   ------------------------------------

   function MC_UMLDI_UML_Structure_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 30;
   end MC_UMLDI_UML_Structure_Diagram;

   ------------------------
   -- MC_UMLDI_UML_Style --
   ------------------------

   function MC_UMLDI_UML_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 31;
   end MC_UMLDI_UML_Style;

   --------------------------------------
   -- MC_UMLDI_UML_Typed_Element_Label --
   --------------------------------------

   function MC_UMLDI_UML_Typed_Element_Label return AMF.Internals.CMOF_Element is
   begin
      return Base + 32;
   end MC_UMLDI_UML_Typed_Element_Label;

   -----------------------------------
   -- MC_UMLDI_UML_Use_Case_Diagram --
   -----------------------------------

   function MC_UMLDI_UML_Use_Case_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 33;
   end MC_UMLDI_UML_Use_Case_Diagram;

   -----------------------------------------------------
   -- MP_UMLDI_UML_Activity_Diagram_Is_Activity_Frame --
   -----------------------------------------------------

   function MP_UMLDI_UML_Activity_Diagram_Is_Activity_Frame return AMF.Internals.CMOF_Element is
   begin
      return Base + 39;
   end MP_UMLDI_UML_Activity_Diagram_Is_Activity_Frame;

   -----------------------------------------------------------------------
   -- MP_UMLDI_UML_Activity_Diagram_Model_Element_A_Uml_Diagram_Element --
   -----------------------------------------------------------------------

   function MP_UMLDI_UML_Activity_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 40;
   end MP_UMLDI_UML_Activity_Diagram_Model_Element_A_Uml_Diagram_Element;

   ----------------------------------------------------------------------------
   -- MP_UMLDI_UML_Association_End_Label_Model_Element_A_Uml_Diagram_Element --
   ----------------------------------------------------------------------------

   function MP_UMLDI_UML_Association_End_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 41;
   end MP_UMLDI_UML_Association_End_Label_Model_Element_A_Uml_Diagram_Element;

   --------------------------------------------------------------
   -- MP_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind --
   --------------------------------------------------------------

   function MP_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 42;
   end MP_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind;

   -----------------------------------------------------------------------
   -- MP_UMLDI_UML_Behavior_Diagram_Model_Element_A_Uml_Diagram_Element --
   -----------------------------------------------------------------------

   function MP_UMLDI_UML_Behavior_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 43;
   end MP_UMLDI_UML_Behavior_Diagram_Model_Element_A_Uml_Diagram_Element;

   --------------------------------------------------------------------------------
   -- MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Is_Association_Dot_Shown --
   --------------------------------------------------------------------------------

   function MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Is_Association_Dot_Shown return AMF.Internals.CMOF_Element is
   begin
      return Base + 44;
   end MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Is_Association_Dot_Shown;

   -----------------------------------------------------------------------------
   -- MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Navigability_Notation --
   -----------------------------------------------------------------------------

   function MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Navigability_Notation return AMF.Internals.CMOF_Element is
   begin
      return Base + 45;
   end MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Navigability_Notation;

   ---------------------------------------------------------------------------------
   -- MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Non_Navigability_Notation --
   ---------------------------------------------------------------------------------

   function MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Non_Navigability_Notation return AMF.Internals.CMOF_Element is
   begin
      return Base + 46;
   end MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Non_Navigability_Notation;

   ---------------------------------------------------
   -- MP_UMLDI_UML_Classifier_Shape_Is_Double_Sided --
   ---------------------------------------------------

   function MP_UMLDI_UML_Classifier_Shape_Is_Double_Sided return AMF.Internals.CMOF_Element is
   begin
      return Base + 47;
   end MP_UMLDI_UML_Classifier_Shape_Is_Double_Sided;

   ------------------------------------------------------------
   -- MP_UMLDI_UML_Classifier_Shape_Is_Indent_For_Visibility --
   ------------------------------------------------------------

   function MP_UMLDI_UML_Classifier_Shape_Is_Indent_For_Visibility return AMF.Internals.CMOF_Element is
   begin
      return Base + 48;
   end MP_UMLDI_UML_Classifier_Shape_Is_Indent_For_Visibility;

   -----------------------------------------------------------------------
   -- MP_UMLDI_UML_Classifier_Shape_Model_Element_A_Uml_Diagram_Element --
   -----------------------------------------------------------------------

   function MP_UMLDI_UML_Classifier_Shape_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 49;
   end MP_UMLDI_UML_Classifier_Shape_Model_Element_A_Uml_Diagram_Element;

   --------------------------------------------------------------------------
   -- MP_UMLDI_UML_Compartment_Element_In_Compartment_A_Owning_Compartment --
   --------------------------------------------------------------------------

   function MP_UMLDI_UML_Compartment_Element_In_Compartment_A_Owning_Compartment return AMF.Internals.CMOF_Element is
   begin
      return Base + 34;
   end MP_UMLDI_UML_Compartment_Element_In_Compartment_A_Owning_Compartment;

   --------------------------------------------------------------------------
   -- MP_UMLDI_UML_Compartmentable_Shape_Compartment_A_Compartmented_Shape --
   --------------------------------------------------------------------------

   function MP_UMLDI_UML_Compartmentable_Shape_Compartment_A_Compartmented_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 35;
   end MP_UMLDI_UML_Compartmentable_Shape_Compartment_A_Compartmented_Shape;

   ---------------------------------------------------
   -- MP_UMLDI_UML_Diagram_Heading_A_Headed_Diagram --
   ---------------------------------------------------

   function MP_UMLDI_UML_Diagram_Heading_A_Headed_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 50;
   end MP_UMLDI_UML_Diagram_Heading_A_Headed_Diagram;

   -----------------------------------
   -- MP_UMLDI_UML_Diagram_Is_Frame --
   -----------------------------------

   function MP_UMLDI_UML_Diagram_Is_Frame return AMF.Internals.CMOF_Element is
   begin
      return Base + 51;
   end MP_UMLDI_UML_Diagram_Is_Frame;

   ---------------------------------
   -- MP_UMLDI_UML_Diagram_Is_Iso --
   ---------------------------------

   function MP_UMLDI_UML_Diagram_Is_Iso return AMF.Internals.CMOF_Element is
   begin
      return Base + 52;
   end MP_UMLDI_UML_Diagram_Is_Iso;

   ------------------------------------------
   -- MP_UMLDI_UML_Diagram_Element_Is_Icon --
   ------------------------------------------

   function MP_UMLDI_UML_Diagram_Element_Is_Icon return AMF.Internals.CMOF_Element is
   begin
      return Base + 53;
   end MP_UMLDI_UML_Diagram_Element_Is_Icon;

   ---------------------------------------------------------------
   -- MP_UMLDI_UML_Diagram_Element_Local_Style_A_Styled_Element --
   ---------------------------------------------------------------

   function MP_UMLDI_UML_Diagram_Element_Local_Style_A_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 54;
   end MP_UMLDI_UML_Diagram_Element_Local_Style_A_Styled_Element;

   ----------------------------------------------------------------------
   -- MP_UMLDI_UML_Diagram_Element_Model_Element_A_Uml_Diagram_Element --
   ----------------------------------------------------------------------

   function MP_UMLDI_UML_Diagram_Element_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 36;
   end MP_UMLDI_UML_Diagram_Element_Model_Element_A_Uml_Diagram_Element;

   -----------------------------------------------------------------------------------
   -- MP_UMLDI_UML_Diagram_Element_Owned_Element_UML_Diagram_Element_Owning_Element --
   -----------------------------------------------------------------------------------

   function MP_UMLDI_UML_Diagram_Element_Owned_Element_UML_Diagram_Element_Owning_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 37;
   end MP_UMLDI_UML_Diagram_Element_Owned_Element_UML_Diagram_Element_Owning_Element;

   -----------------------------------------------------------------------------------
   -- MP_UMLDI_UML_Diagram_Element_Owning_Element_UML_Diagram_Element_Owned_Element --
   -----------------------------------------------------------------------------------

   function MP_UMLDI_UML_Diagram_Element_Owning_Element_UML_Diagram_Element_Owned_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 55;
   end MP_UMLDI_UML_Diagram_Element_Owning_Element_UML_Diagram_Element_Owned_Element;

   ----------------------------------------------------------------
   -- MP_UMLDI_UML_Diagram_Element_Shared_Style_A_Styled_Element --
   ----------------------------------------------------------------

   function MP_UMLDI_UML_Diagram_Element_Shared_Style_A_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 56;
   end MP_UMLDI_UML_Diagram_Element_Shared_Style_A_Styled_Element;

   --------------------------------------------
   -- MP_UMLDI_UML_Edge_Source_A_Source_Edge --
   --------------------------------------------

   function MP_UMLDI_UML_Edge_Source_A_Source_Edge return AMF.Internals.CMOF_Element is
   begin
      return Base + 57;
   end MP_UMLDI_UML_Edge_Source_A_Source_Edge;

   --------------------------------------------
   -- MP_UMLDI_UML_Edge_Target_A_Target_Edge --
   --------------------------------------------

   function MP_UMLDI_UML_Edge_Target_A_Target_Edge return AMF.Internals.CMOF_Element is
   begin
      return Base + 58;
   end MP_UMLDI_UML_Edge_Target_A_Target_Edge;

   -------------------------------------------
   -- MP_UMLDI_UML_Interaction_Diagram_Kind --
   -------------------------------------------

   function MP_UMLDI_UML_Interaction_Diagram_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 59;
   end MP_UMLDI_UML_Interaction_Diagram_Kind;

   --------------------------------------------------------------------------
   -- MP_UMLDI_UML_Interaction_Diagram_Model_Element_A_Uml_Diagram_Element --
   --------------------------------------------------------------------------

   function MP_UMLDI_UML_Interaction_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 60;
   end MP_UMLDI_UML_Interaction_Diagram_Model_Element_A_Uml_Diagram_Element;

   -----------------------------------------------
   -- MP_UMLDI_UML_Interaction_Table_Label_Kind --
   -----------------------------------------------

   function MP_UMLDI_UML_Interaction_Table_Label_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 61;
   end MP_UMLDI_UML_Interaction_Table_Label_Kind;

   -----------------------------
   -- MP_UMLDI_UML_Label_Text --
   -----------------------------

   function MP_UMLDI_UML_Label_Text return AMF.Internals.CMOF_Element is
   begin
      return Base + 62;
   end MP_UMLDI_UML_Label_Text;

   -------------------------------------------------------------------------
   -- MP_UMLDI_UML_Multiplicity_Label_Model_Element_A_Uml_Diagram_Element --
   -------------------------------------------------------------------------

   function MP_UMLDI_UML_Multiplicity_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 63;
   end MP_UMLDI_UML_Multiplicity_Label_Model_Element_A_Uml_Diagram_Element;

   ----------------------------------------------------------------
   -- MP_UMLDI_UML_Name_Label_Mode_Element_A_Uml_Diagram_Element --
   ----------------------------------------------------------------

   function MP_UMLDI_UML_Name_Label_Mode_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 64;
   end MP_UMLDI_UML_Name_Label_Mode_Element_A_Uml_Diagram_Element;

   ----------------------------------------------------------------------
   -- MP_UMLDI_UML_Redefines_Label_Model_Element_A_Uml_Diagram_Element --
   ----------------------------------------------------------------------

   function MP_UMLDI_UML_Redefines_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 65;
   end MP_UMLDI_UML_Redefines_Label_Model_Element_A_Uml_Diagram_Element;

   ---------------------------------------------------------------
   -- MP_UMLDI_UML_State_Machine_Diagram_Inherited_State_Border --
   ---------------------------------------------------------------

   function MP_UMLDI_UML_State_Machine_Diagram_Inherited_State_Border return AMF.Internals.CMOF_Element is
   begin
      return Base + 66;
   end MP_UMLDI_UML_State_Machine_Diagram_Inherited_State_Border;

   ---------------------------------------------------------------
   -- MP_UMLDI_UML_State_Machine_Diagram_Is_Collapse_State_Icon --
   ---------------------------------------------------------------

   function MP_UMLDI_UML_State_Machine_Diagram_Is_Collapse_State_Icon return AMF.Internals.CMOF_Element is
   begin
      return Base + 67;
   end MP_UMLDI_UML_State_Machine_Diagram_Is_Collapse_State_Icon;

   ---------------------------------------------------------------
   -- MP_UMLDI_UML_State_Machine_Diagram_Is_Transition_Oriented --
   ---------------------------------------------------------------

   function MP_UMLDI_UML_State_Machine_Diagram_Is_Transition_Oriented return AMF.Internals.CMOF_Element is
   begin
      return Base + 68;
   end MP_UMLDI_UML_State_Machine_Diagram_Is_Transition_Oriented;

   ----------------------------------------------------------------------------
   -- MP_UMLDI_UML_State_Machine_Diagram_Model_Element_A_Uml_Diagram_Element --
   ----------------------------------------------------------------------------

   function MP_UMLDI_UML_State_Machine_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 69;
   end MP_UMLDI_UML_State_Machine_Diagram_Model_Element_A_Uml_Diagram_Element;

   ----------------------------------------
   -- MP_UMLDI_UML_State_Shape_Is_Tabbed --
   ----------------------------------------

   function MP_UMLDI_UML_State_Shape_Is_Tabbed return AMF.Internals.CMOF_Element is
   begin
      return Base + 70;
   end MP_UMLDI_UML_State_Shape_Is_Tabbed;

   ------------------------------------------------------------------
   -- MP_UMLDI_UML_State_Shape_Model_Element_A_Uml_Diagram_Element --
   ------------------------------------------------------------------

   function MP_UMLDI_UML_State_Shape_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 38;
   end MP_UMLDI_UML_State_Shape_Model_Element_A_Uml_Diagram_Element;

   --------------------------------------------------------------------------------------
   -- MP_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_A_Uml_Diagram_Element --
   --------------------------------------------------------------------------------------

   function MP_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 71;
   end MP_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_A_Uml_Diagram_Element;

   -------------------------------------------------------------------------------------------------------
   -- MP_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_A_Label_Showing_Stereotype_Value --
   -------------------------------------------------------------------------------------------------------

   function MP_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_A_Label_Showing_Stereotype_Value return AMF.Internals.CMOF_Element is
   begin
      return Base + 72;
   end MP_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_A_Label_Showing_Stereotype_Value;

   ----------------------------------
   -- MP_UMLDI_UML_Style_Font_Name --
   ----------------------------------

   function MP_UMLDI_UML_Style_Font_Name return AMF.Internals.CMOF_Element is
   begin
      return Base + 73;
   end MP_UMLDI_UML_Style_Font_Name;

   ----------------------------------
   -- MP_UMLDI_UML_Style_Font_Size --
   ----------------------------------

   function MP_UMLDI_UML_Style_Font_Size return AMF.Internals.CMOF_Element is
   begin
      return Base + 74;
   end MP_UMLDI_UML_Style_Font_Size;

   -----------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Activity_Diagram_Model_Element --
   -----------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Activity_Diagram_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 97;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Activity_Diagram_Model_Element;

   ----------------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Association_End_Label_Model_Element --
   ----------------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Association_End_Label_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 98;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Association_End_Label_Model_Element;

   -----------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Behavior_Diagram_Model_Element --
   -----------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Behavior_Diagram_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 99;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Behavior_Diagram_Model_Element;

   -----------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Classifier_Shape_Model_Element --
   -----------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Classifier_Shape_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 100;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Classifier_Shape_Model_Element;

   --------------------------------------------------------------------------
   -- MP_UMLDI_A_Owning_Compartment_UML_Compartment_Element_In_Compartment --
   --------------------------------------------------------------------------

   function MP_UMLDI_A_Owning_Compartment_UML_Compartment_Element_In_Compartment return AMF.Internals.CMOF_Element is
   begin
      return Base + 101;
   end MP_UMLDI_A_Owning_Compartment_UML_Compartment_Element_In_Compartment;

   --------------------------------------------------------------------------
   -- MP_UMLDI_A_Compartmented_Shape_UML_Compartmentable_Shape_Compartment --
   --------------------------------------------------------------------------

   function MP_UMLDI_A_Compartmented_Shape_UML_Compartmentable_Shape_Compartment return AMF.Internals.CMOF_Element is
   begin
      return Base + 103;
   end MP_UMLDI_A_Compartmented_Shape_UML_Compartmentable_Shape_Compartment;

   ---------------------------------------------------------------
   -- MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Local_Style --
   ---------------------------------------------------------------

   function MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Local_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 104;
   end MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Local_Style;

   ----------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Diagram_Element_Model_Element --
   ----------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Diagram_Element_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 105;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Diagram_Element_Model_Element;

   ----------------------------------------------------------------
   -- MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Shared_Style --
   ----------------------------------------------------------------

   function MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Shared_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 106;
   end MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Shared_Style;

   ---------------------------------------------------
   -- MP_UMLDI_A_Headed_Diagram_UML_Diagram_Heading --
   ---------------------------------------------------

   function MP_UMLDI_A_Headed_Diagram_UML_Diagram_Heading return AMF.Internals.CMOF_Element is
   begin
      return Base + 107;
   end MP_UMLDI_A_Headed_Diagram_UML_Diagram_Heading;

   --------------------------------------------
   -- MP_UMLDI_A_Source_Edge_UML_Edge_Source --
   --------------------------------------------

   function MP_UMLDI_A_Source_Edge_UML_Edge_Source return AMF.Internals.CMOF_Element is
   begin
      return Base + 108;
   end MP_UMLDI_A_Source_Edge_UML_Edge_Source;

   --------------------------------------------
   -- MP_UMLDI_A_Target_Edge_UML_Edge_Target --
   --------------------------------------------

   function MP_UMLDI_A_Target_Edge_UML_Edge_Target return AMF.Internals.CMOF_Element is
   begin
      return Base + 109;
   end MP_UMLDI_A_Target_Edge_UML_Edge_Target;

   --------------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Interaction_Diagram_Model_Element --
   --------------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Interaction_Diagram_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 110;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Interaction_Diagram_Model_Element;

   -------------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Multiplicity_Label_Model_Element --
   -------------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Multiplicity_Label_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 111;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Multiplicity_Label_Model_Element;

   ----------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Name_Label_Mode_Element --
   ----------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Name_Label_Mode_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 112;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Name_Label_Mode_Element;

   ----------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Redefines_Label_Model_Element --
   ----------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Redefines_Label_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 113;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Redefines_Label_Model_Element;

   ----------------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_State_Machine_Diagram_Model_Element --
   ----------------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_State_Machine_Diagram_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 114;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_State_Machine_Diagram_Model_Element;

   ------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_State_Shape_Model_Element --
   ------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_State_Shape_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 115;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_State_Shape_Model_Element;

   --------------------------------------------------------------------------------------
   -- MP_UMLDI_A_Uml_Diagram_Element_UML_Stereotype_Property_Value_Label_Model_Element --
   --------------------------------------------------------------------------------------

   function MP_UMLDI_A_Uml_Diagram_Element_UML_Stereotype_Property_Value_Label_Model_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 116;
   end MP_UMLDI_A_Uml_Diagram_Element_UML_Stereotype_Property_Value_Label_Model_Element;

   -------------------------------------------------------------------------------------------------------
   -- MP_UMLDI_A_Label_Showing_Stereotype_Value_UML_Stereotype_Property_Value_Label_Stereotyped_Element --
   -------------------------------------------------------------------------------------------------------

   function MP_UMLDI_A_Label_Showing_Stereotype_Value_UML_Stereotype_Property_Value_Label_Stereotyped_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 117;
   end MP_UMLDI_A_Label_Showing_Stereotype_Value_UML_Stereotype_Property_Value_Label_Stereotyped_Element;

   ---------------------------------------------------------------------
   -- MA_UMLDI_UML_Activity_Diagram_Model_Element_Uml_Diagram_Element --
   ---------------------------------------------------------------------

   function MA_UMLDI_UML_Activity_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 75;
   end MA_UMLDI_UML_Activity_Diagram_Model_Element_Uml_Diagram_Element;

   --------------------------------------------------------------------------
   -- MA_UMLDI_UML_Association_End_Label_Model_Element_Uml_Diagram_Element --
   --------------------------------------------------------------------------

   function MA_UMLDI_UML_Association_End_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 76;
   end MA_UMLDI_UML_Association_End_Label_Model_Element_Uml_Diagram_Element;

   ---------------------------------------------------------------------
   -- MA_UMLDI_UML_Behavior_Diagram_Model_Element_Uml_Diagram_Element --
   ---------------------------------------------------------------------

   function MA_UMLDI_UML_Behavior_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 77;
   end MA_UMLDI_UML_Behavior_Diagram_Model_Element_Uml_Diagram_Element;

   ---------------------------------------------------------------------
   -- MA_UMLDI_UML_Classifier_Shape_Model_Element_Uml_Diagram_Element --
   ---------------------------------------------------------------------

   function MA_UMLDI_UML_Classifier_Shape_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 78;
   end MA_UMLDI_UML_Classifier_Shape_Model_Element_Uml_Diagram_Element;

   ------------------------------------------------------------------------
   -- MA_UMLDI_UML_Compartment_Element_In_Compartment_Owning_Compartment --
   ------------------------------------------------------------------------

   function MA_UMLDI_UML_Compartment_Element_In_Compartment_Owning_Compartment return AMF.Internals.CMOF_Element is
   begin
      return Base + 79;
   end MA_UMLDI_UML_Compartment_Element_In_Compartment_Owning_Compartment;

   ------------------------------------------------------------------------
   -- MA_UMLDI_UML_Compartmentable_Shape_Compartment_Compartmented_Shape --
   ------------------------------------------------------------------------

   function MA_UMLDI_UML_Compartmentable_Shape_Compartment_Compartmented_Shape return AMF.Internals.CMOF_Element is
   begin
      return Base + 80;
   end MA_UMLDI_UML_Compartmentable_Shape_Compartment_Compartmented_Shape;

   -------------------------------------------------------------
   -- MA_UMLDI_UML_Diagram_Element_Local_Style_Styled_Element --
   -------------------------------------------------------------

   function MA_UMLDI_UML_Diagram_Element_Local_Style_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 81;
   end MA_UMLDI_UML_Diagram_Element_Local_Style_Styled_Element;

   --------------------------------------------------------------------
   -- MA_UMLDI_UML_Diagram_Element_Model_Element_Uml_Diagram_Element --
   --------------------------------------------------------------------

   function MA_UMLDI_UML_Diagram_Element_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 82;
   end MA_UMLDI_UML_Diagram_Element_Model_Element_Uml_Diagram_Element;

   ---------------------------------------------------------------
   -- MA_UMLDI_UML_Diagram_Element_Owned_Element_Owning_Element --
   ---------------------------------------------------------------

   function MA_UMLDI_UML_Diagram_Element_Owned_Element_Owning_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 83;
   end MA_UMLDI_UML_Diagram_Element_Owned_Element_Owning_Element;

   --------------------------------------------------------------
   -- MA_UMLDI_UML_Diagram_Element_Shared_Style_Styled_Element --
   --------------------------------------------------------------

   function MA_UMLDI_UML_Diagram_Element_Shared_Style_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 84;
   end MA_UMLDI_UML_Diagram_Element_Shared_Style_Styled_Element;

   -------------------------------------------------
   -- MA_UMLDI_UML_Diagram_Heading_Headed_Diagram --
   -------------------------------------------------

   function MA_UMLDI_UML_Diagram_Heading_Headed_Diagram return AMF.Internals.CMOF_Element is
   begin
      return Base + 85;
   end MA_UMLDI_UML_Diagram_Heading_Headed_Diagram;

   ------------------------------------------
   -- MA_UMLDI_UML_Edge_Source_Source_Edge --
   ------------------------------------------

   function MA_UMLDI_UML_Edge_Source_Source_Edge return AMF.Internals.CMOF_Element is
   begin
      return Base + 86;
   end MA_UMLDI_UML_Edge_Source_Source_Edge;

   ------------------------------------------
   -- MA_UMLDI_UML_Edge_Target_Target_Edge --
   ------------------------------------------

   function MA_UMLDI_UML_Edge_Target_Target_Edge return AMF.Internals.CMOF_Element is
   begin
      return Base + 87;
   end MA_UMLDI_UML_Edge_Target_Target_Edge;

   ------------------------------------------------------------------------
   -- MA_UMLDI_UML_Interaction_Diagram_Model_Element_Uml_Diagram_Element --
   ------------------------------------------------------------------------

   function MA_UMLDI_UML_Interaction_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 88;
   end MA_UMLDI_UML_Interaction_Diagram_Model_Element_Uml_Diagram_Element;

   -----------------------------------------------------------------------
   -- MA_UMLDI_UML_Multiplicity_Label_Model_Element_Uml_Diagram_Element --
   -----------------------------------------------------------------------

   function MA_UMLDI_UML_Multiplicity_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 89;
   end MA_UMLDI_UML_Multiplicity_Label_Model_Element_Uml_Diagram_Element;

   --------------------------------------------------------------
   -- MA_UMLDI_UML_Name_Label_Mode_Element_Uml_Diagram_Element --
   --------------------------------------------------------------

   function MA_UMLDI_UML_Name_Label_Mode_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 90;
   end MA_UMLDI_UML_Name_Label_Mode_Element_Uml_Diagram_Element;

   --------------------------------------------------------------------
   -- MA_UMLDI_UML_Redefines_Label_Model_Element_Uml_Diagram_Element --
   --------------------------------------------------------------------

   function MA_UMLDI_UML_Redefines_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 91;
   end MA_UMLDI_UML_Redefines_Label_Model_Element_Uml_Diagram_Element;

   --------------------------------------------------------------------------
   -- MA_UMLDI_UML_State_Machine_Diagram_Model_Element_Uml_Diagram_Element --
   --------------------------------------------------------------------------

   function MA_UMLDI_UML_State_Machine_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 92;
   end MA_UMLDI_UML_State_Machine_Diagram_Model_Element_Uml_Diagram_Element;

   ----------------------------------------------------------------
   -- MA_UMLDI_UML_State_Shape_Model_Element_Uml_Diagram_Element --
   ----------------------------------------------------------------

   function MA_UMLDI_UML_State_Shape_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 93;
   end MA_UMLDI_UML_State_Shape_Model_Element_Uml_Diagram_Element;

   ------------------------------------------------------------------------------------
   -- MA_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_Uml_Diagram_Element --
   ------------------------------------------------------------------------------------

   function MA_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 94;
   end MA_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_Uml_Diagram_Element;

   -----------------------------------------------------------------------------------------------------
   -- MA_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_Label_Showing_Stereotype_Value --
   -----------------------------------------------------------------------------------------------------

   function MA_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_Label_Showing_Stereotype_Value return AMF.Internals.CMOF_Element is
   begin
      return Base + 95;
   end MA_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_Label_Showing_Stereotype_Value;

   --------------
   -- MB_UMLDI --
   --------------

   function MB_UMLDI return AMF.Internals.AMF_Element is
   begin
      return Base;
   end MB_UMLDI;

   --------------
   -- MB_UMLDI --
   --------------

   function ML_UMLDI return AMF.Internals.AMF_Element is
   begin
      return Base + 319;
   end ML_UMLDI;

end AMF.Internals.Tables.UMLDI_Metamodel;
